	if MBOX=1
Title_snare_data
	else
snare_data
	endif
	dw $43C4
	dw $43C2
	dw $43B4
	dw $43B2
	dw $4342
	dw $4322
	dw $4301

	if MBOX=0        
bass_freq
	dw $1E5,$1A3,$159
	dw $106,$A9,$40
	dw 7
	
hihat_freq
	db $FB,$FA
	endif

	if MBOX=1
Title_voltab_lo
	else	
voltab_lo
	endif
	db vol_ttl_1x & 255
	db vol_ttl_2x & 255
	db vol_ttl_4x & 255
	db vol_ttl_H0 & 255
	db vol_ttl_H1 & 255
	db vol_ttl_H2 & 255
	db vol_ttl_H3 & 255
	db vol_ttl_st & 255

	if MBOX=1
Title_voltab_hi
	else
voltab_hi
	endif
	db vol_ttl_1x >> 8
	db vol_ttl_2x >> 8
	db vol_ttl_4x >> 8 
	db vol_ttl_H0 >> 8
	db vol_ttl_H1 >> 8
	db vol_ttl_H2 >> 8
	db vol_ttl_H3 >> 8 
	db vol_ttl_st >> 8
	
VT_TTL_1x		= $F0
VT_TTL_2x		= $F1
VT_TTL_4x		= $F2
VT_TTL_H0		= $F3
VT_TTL_H1		= $F4
VT_TTL_H2		= $F5
VT_TTL_H3		= $F6
VT_TTL_st		= $F7
	
	;align 256
vol_ttl_default
vol_ttl_1x
	db 8,8,7,7, 6,6,6,6, 5,5
	db 5,5,5,5, 5,5,5,5, 6,7
	db $80
vol_ttl_2x
	db 8,8,7,7, 6,6,5,5, 4,4
	db 7,7,6,6, 5,5,4,4, 4,4
	db $80
vol_ttl_4x
	db 8,8,7,7, 6,6,6,6, 5,5
	db 5,5,5,5, 5,5,5,5, 6,7
	db $80
vol_ttl_H0
	db 8,8,7,7, 6,6,5,5, 4,4
	db 3,3,3,3, 2,2,2,2, 3,3
	db 3,3,4,4, 4,4,4,4, 3,3
	db $8A
vol_ttl_H1
	db 8,8,7,7, 6,6,6,6, 5,5
	db 5,5,4,4, 4,4,5,5, 6,6
	db 6,6,5,5, 5,5,4,4, 5,5
	db $8A
vol_ttl_H2
	db 6,6,6,6, 5,5,5,5, 4,4
	db 4,4, 3,3,3,3, 4,4,4,4
	db $8A
vol_ttl_H3
	db 4,4,4,4, 3,3,3,3, 2,2
	db 2,2, 1,1,1,1, 2,2,2,2
	db $8A
vol_ttl_st
	db 8,8, 7,7, 6,6, 5,4, 3,2
	db $80

	if MBOX=1
Title_Channel1
	else
Channel1
	endif
	dw pat_ttl_bass_intro_1,pat_ttl_bass_intro_2
	dw pat_ttl_bass_intro_1,pat_ttl_bass_intro_3
	dw pat_ttl_drums_only,pat_ttl_drums_only,pat_ttl_drums_only,pat_ttl_drums_only_fill
	dw pat_ttl_drums_verse_1
	dw pat_ttl_drums_verse_2
	dw pat_ttl_drums_fast,pat_ttl_drums_fast
	dw pat_ttl_drums_fast,pat_ttl_drums_fast
	dw pat_ttl_drums_fast,pat_ttl_drums_fast
	dw pat_ttl_drums_fast,pat_ttl_drums_fast_fill
	dw pat_ttl_bass_mid_1,pat_ttl_bass_mid_2,pat_ttl_bass_mid_1,pat_ttl_bass_mid_2
	dw pat_ttl_bass_mid_1,pat_ttl_bass_mid_2,pat_ttl_bass_mid_1,pat_ttl_bass_mid_2
	dw pat_ttl_bass_mid_1,pat_ttl_bass_mid_2,pat_ttl_bass_mid_1,pat_ttl_bass_mid_2
	dw pat_ttl_bass_mid_1,pat_ttl_bass_mid_2,pat_ttl_bass_mid_1,pat_ttl_bass_mid_2
	dw pat_ttl_bass_mid_1,pat_ttl_bass_mid_2,pat_ttl_bass_mid_1,pat_ttl_bass_mid_2
	;
	dw 0

	if MBOX=1
Title_Channel2
	else
Channel2
	endif
	dw pat_ttl_chords_intro_1,pat_ttl_chords_intro_2
	dw pat_ttl_chords_intro_1,pat_ttl_chords_intro_3
	dw pat_ttl_rev_1
	dw pat_ttl_verse_1
	dw pat_ttl_verse_2
	dw pat_ttl_chords_break_1,pat_ttl_bass_break_1 ;,pat_ttl_breakdown_1
	dw pat_ttl_chords_break_2,pat_ttl_bass_break_2 ;,pat_ttl_breakdown_2
	dw pat_ttl_chords_break_1,pat_ttl_bass_break_1 ;,pat_ttl_breakdown_1
	dw pat_ttl_chords_break_2,pat_ttl_bass_break_2 ;,pat_ttl_breakdown_2
	dw pat_ttl_chords_mid,pat_ttl_chords_mid
	dw pat_ttl_solo_mid
	dw pat_ttl_chords_mid,pat_ttl_chords_mid
	dw pat_ttl_solo_mid
	dw pat_ttl_chords_mid,pat_ttl_chords_mid
	;
	dw 0
	
LEN = $40

speed = 10

bdr = $E1
snr = $E2
hht = $E3
arp = $E4
vib = $E5

pat_ttl_quiet
	db $E0
	db LEN+speed*4
	db OFF,OFF,OFF,OFF
	db OFF,OFF,OFF,OFF
	db END_MARK

pat_ttl_bass_intro_1
	db       vib, LEN+speed*4-2,  C1,  LEN+2, OFF
	db            LEN+speed*4-2,  C1,  LEN+2, OFF
	db            LEN+speed*10-2, Di1, LEN+2, OFF
	db            LEN+speed*2-2,  Ai0, LEN+2, OFF
	db            LEN+speed*2-2,  C1,  LEN+2, OFF
	db            LEN+speed*2-2,  Di1, LEN+2, OFF
	db            LEN+speed*2,                OFF
	db            LEN+speed*2-2,  Di1, LEN+2, OFF
	db            LEN+speed*2,                OFF
	db            LEN+speed*2-2,  Di1, LEN+2, OFF
	;
	db END_MARK

pat_ttl_bass_intro_2
	db       vib, LEN+speed*4-2,  C1,  LEN+2, OFF
	db            LEN+speed*4-2,  C1,  LEN+2, OFF
	db            LEN+speed*10-2, Di1, LEN+2, OFF
	db            LEN+speed*2-2,  Ai0, LEN+2, OFF
	db            LEN+speed*2-2,  C1,  LEN+2, OFF
	db            LEN+speed*2-2,  F1,  LEN+2, OFF
	db            LEN+speed*2,                OFF
	db            LEN+speed*2-2,  F1,  LEN+2, OFF
	db            LEN+speed*2,                OFF
	db            LEN+speed*2-2,  F1,  LEN+2, OFF
	db END_MARK

pat_ttl_bass_intro_3
	db       vib, LEN+speed*4-2,  C2,  LEN+2, OFF
	db            LEN+speed*4-2,  C2,  LEN+2, OFF
	db            LEN+speed*2-2,  Ai1, LEN+2, OFF
	db            LEN+speed*4-2,  G1,  LEN+2, OFF
	db            LEN+speed*4-2,  Fi1, LEN+2, OFF
	db            LEN+speed*2-2,  F1,  LEN+2, OFF
	db            LEN+speed*2-2,  Di1, LEN+2, OFF
	db            LEN+speed*10-2, C1,  LEN+2, OFF
	db END_MARK

pat_ttl_bass_mid_1
	db bdr,         vib, LEN+speed*2-11,C1,  LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, C1,  LEN+4, OFF
	db snr,         vib, LEN+speed*2-11,Ai0, LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, OFF, LEN+4, OFF
	;
	db bdr,         vib, LEN+speed*2-11,C1,  LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, Ai0, LEN+4, OFF
	db snr,         vib, LEN+speed*2-11,OFF, LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, C1,  LEN+4, OFF
	;
	db bdr,         vib, LEN+speed*2-11,OFF, LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, C1,  LEN+4, OFF
	db snr,         vib, LEN+speed*2-11,Ai0, LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-2, C1
	;
	db bdr,         vib, LEN+speed*2-11,C1,  LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, G1,  LEN+4, OFF
	db snr,         vib, LEN+speed*2-11,F1,  LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, Di1, LEN+4, OFF
	;
	db END_MARK

pat_ttl_bass_mid_2
	db bdr,         vib, LEN+speed*2-11,C1,  LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, C1,  LEN+4, OFF
	db snr,         vib, LEN+speed*2-11,Ai0, LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, OFF, LEN+4, OFF
	;
	db bdr,         vib, LEN+speed*2-11,C1,  LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, Ai0, LEN+4, OFF
	db snr,         vib, LEN+speed*2-11,OFF, LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, C1,  LEN+4, OFF
	;
	db bdr,         vib, LEN+speed*2-11,OFF, LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, Ai0, LEN+4, OFF
	db snr,         vib, LEN+speed*2-11,C1,  LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-2, F1
	;
	db bdr,         vib, LEN+speed*2-11,F1,  LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, Di1, LEN+4, OFF
	db snr,         vib, LEN+speed*2-11,F1,  LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*1-2, G1
	db snr,              LEN+speed*1-7,             OFF
	;
	db END_MARK

pat_ttl_drums_only
	db bdr,              LEN+speed*2-7, OFF
	db hht,LEN+2,0,      LEN+speed*2-2, OFF
	db snr,              LEN+speed*2-7, OFF
	db hht,LEN+2,0,      LEN+speed*2-2, OFF
	;
	db bdr,              LEN+speed*2-7, OFF
	db bdr,              LEN+speed*2-7, OFF
	db snr,              LEN+speed*2-7, OFF
	db hht,LEN+2,0,      LEN+speed*2-2, OFF
	;
	db bdr,              LEN+speed*2-7, OFF
	db hht,LEN+2,0,      LEN+speed*2-2, OFF
	db snr,              LEN+speed*2-7, OFF
	db bdr,              LEN+speed*2-7, OFF
	;
	db hht,LEN+2,0,      LEN+speed*2-2, OFF
	db bdr,              LEN+speed*2-7, OFF
	db snr,              LEN+speed*2-7, OFF
	db hht,LEN+2,0,      LEN+speed*2-2, OFF
	;
	db END_MARK

pat_ttl_drums_only_fill
	db bdr,              LEN+speed*2-7, OFF
	db hht,LEN+2,0,      LEN+speed*2-2, OFF
	db snr,              LEN+speed*2-7, OFF
	db hht,LEN+2,0,      LEN+speed*2-2, OFF
	;
	db bdr,              LEN+speed*2-7, OFF
	db bdr,              LEN+speed*2-7, OFF
	db snr,              LEN+speed*2-7, OFF
	db hht,LEN+2,0,      LEN+speed*2-2, OFF
	;
	db bdr,              LEN+speed*2-7, OFF
	db hht,LEN+2,0,      LEN+speed*2-2, OFF
	db snr,              LEN+speed*2-7, OFF
	db bdr,              LEN+speed*2-7, OFF
	;
	db hht,LEN+2,0,      LEN+speed*2-2, OFF
	db snr,              LEN+speed*2-7, OFF
	db snr,              LEN+speed*1-7, OFF
	db snr,              LEN+speed*1-7, OFF
	db snr,              LEN+speed*1-7, OFF
	db snr,              LEN+speed*1-7, OFF
	;
	db END_MARK

pat_ttl_drums_fast
	db bdr,              LEN+speed*1-7, OFF
	db hht,LEN+2,0,      LEN+speed*1-2, OFF
	db bdr,              LEN+speed*1-7, OFF
	db hht,LEN+2,0,      LEN+speed*1-2, OFF
	db snr,              LEN+speed*3-7, OFF
	db bdr,              LEN+speed*2-7, OFF
	;
	db bdr,              LEN+speed*1-7, OFF
	db bdr,              LEN+speed*2-7, OFF
	db snr,              LEN+speed*2-7, OFF
	db bdr,              LEN+speed*2-7, OFF
	;
	db bdr,              LEN+speed*1-7, OFF
	db hht,LEN+2,0,      LEN+speed*1-2, OFF
	db bdr,              LEN+speed*1-7, OFF
	db hht,LEN+2,0,      LEN+speed*1-2, OFF
	db snr,              LEN+speed*3-7, OFF
	db bdr,              LEN+speed*2-7, OFF
	;
	db bdr,              LEN+speed*1-7, OFF
	db bdr,              LEN+speed*2-7, OFF
	db snr,              LEN+speed*2-7, OFF
	db bdr,              LEN+speed*2-7, OFF
	;
	db END_MARK

pat_ttl_drums_fast_fill
	db bdr,              LEN+speed*1-7, OFF
	db hht,LEN+2,0,      LEN+speed*1-2, OFF
	db bdr,              LEN+speed*1-7, OFF
	db hht,LEN+2,0,      LEN+speed*1-2, OFF
	db snr,              LEN+speed*3-7, OFF
	db bdr,              LEN+speed*2-7, OFF
	;
	db bdr,              LEN+speed*1-7, OFF
	db bdr,              LEN+speed*2-7, OFF
	db snr,              LEN+speed*2-7, OFF
	db bdr,              LEN+speed*2-7, OFF
	;
	db bdr,              LEN+speed*1-7, OFF
	db hht,LEN+2,0,      LEN+speed*1-2, OFF
	db bdr,              LEN+speed*1-7, OFF
	db hht,LEN+2,0,      LEN+speed*1-2, OFF
	db snr,              LEN+speed*3-7, OFF
	db bdr,              LEN+speed*1-7, OFF
	;
	db snr,              LEN+speed*1-7, OFF
	db hht,LEN+2,0,      LEN+speed*1-2, OFF
	db snr,              LEN+speed*1-7, OFF
	db hht,LEN+2,0,      LEN+speed*1-2, OFF
	db snr,              LEN+speed*1-7, OFF
	db snr,              LEN+speed*1-7, OFF
	db snr,              LEN+speed*1-7, OFF
	db snr,              LEN+speed*1-7, OFF
	;
	db END_MARK

pat_ttl_drums_verse_1
	db bdr,         vib, LEN+speed*2-7, C2
	db hht,LEN+2,0, vib, LEN+speed*2-6, C2,  LEN+4, OFF
	db snr,         vib, LEN+speed*2-7, Ai1 
	db hht,LEN+2,0, vib, LEN+speed*2-6, Ai1, LEN+4, OFF
	;
	db bdr,         vib, LEN+speed*2-7, A1
	db bdr,         vib, LEN+speed*2-11,A1, LEN+4, OFF
	db snr,         vib, LEN+speed*2-7, Ai1
	db hht,LEN+2,0, vib, LEN+speed*2-6, Ai1, LEN+4, OFF
	;
	db bdr,         vib, LEN+speed*2-7, A1
	db hht,LEN+2,0, vib, LEN+speed*2-6, A1,  LEN+4, OFF
	db snr,         vib, LEN+speed*2-11,F1,  LEN+4, OFF
	db bdr,         vib, LEN+speed*2-7, Di1
	;
	db hht,LEN+2,0, vib, LEN+speed*2-6, Di1, LEN+4, OFF
	db bdr,         vib, LEN+speed*2-7, F1
	db snr,         vib, LEN+speed*2-7, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-2, OFF
	;
	; ---
	;
	db bdr,         vib, LEN+speed*2-7, A1
	db hht,LEN+2,0, vib, LEN+speed*2-2, OFF
	db snr,         vib, LEN+speed*2-7, G1  
	db hht,LEN+2,0, vib, LEN+speed*2-2, OFF
	;
	db bdr,         vib, LEN+speed*2-11,F1,  LEN+4, OFF
	db bdr,         vib, LEN+speed*2-11,Ai0, LEN+4, OFF
	db snr,         vib, LEN+speed*2-11,C1,  LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, G1,  LEN+4, OFF
	;
	db bdr,         vib, LEN+speed*2-7, G1
	db hht,LEN+2,0, vib, LEN+speed*2-6, G1,  LEN+4, OFF
	db snr,         vib, LEN+speed*2-11,F1,  LEN+4, OFF
	db bdr,         vib, LEN+speed*2-7, Di1
	;
	db hht,LEN+2,0, vib, LEN+speed*2-6, Di1, LEN+4, OFF
	db bdr,         vib, LEN+speed*2-11,C1,  LEN+4, OFF
	db snr,         vib, LEN+speed*2-11,Ai0, LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, C1,  LEN+4, OFF
	;
	db END_MARK

pat_ttl_drums_verse_2
	db bdr,         vib, LEN+speed*2-7, Di2
	db hht,LEN+2,0, vib, LEN+speed*2-6, Di2, LEN+4, OFF
	db snr,         vib, LEN+speed*2-7, C2 
	db hht,LEN+2,0, vib, LEN+speed*2-6, C2,  LEN+4, OFF
	;
	db bdr,         vib, LEN+speed*2-7, Ai1
	db bdr,         vib, LEN+speed*2-11,Ai1, LEN+4, OFF
	db snr,         vib, LEN+speed*2-7, C2
	db hht,LEN+2,0, vib, LEN+speed*2-6, C2,  LEN+4, OFF
	;
	db bdr,         vib, LEN+speed*2-7, A1
	db hht,LEN+2,0, vib, LEN+speed*2-6, A1,  LEN+4, OFF
	db snr,         vib, LEN+speed*2-11,Ai1, LEN+4, OFF
	db bdr,         vib, LEN+speed*2-7, A1
	;
	db hht,LEN+2,0, vib, LEN+speed*2-6, A1,  LEN+4, OFF
	db bdr,         vib, LEN+speed*2-11,F1,  LEN+4, OFF
	db snr,         vib, LEN+speed*2-11,Di1, LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-6, F1,  LEN+4, OFF
	;
	; ---
	;
	db bdr,         vib, LEN+speed*2-7, A1
	db hht,LEN+2,0, vib, LEN+speed*2-2, Ai1
	db snr,         vib, LEN+speed*2-7, C2  
	db hht,LEN+2,0, vib, LEN+speed*2-2, OFF
	;
	db bdr,         vib, LEN+speed*2-11,G1,  LEN+4, OFF
	db bdr,         vib, LEN+speed*2-11,OFF, LEN+4, OFF
	db snr,         vib, LEN+speed*2-11,F1,  LEN+4, OFF
	db hht,LEN+2,0, vib, LEN+speed*2-2, Di1
	;
	db bdr,         vib, LEN+speed*2-7, Di1
	db hht,LEN+2,0, vib, LEN+speed*2-2, Di1
	db snr,         vib, LEN+speed*2-7, Di1
	db bdr,         vib, LEN+speed*2-7, Di1
	;
	db               vib, LEN+speed*1,    C1,Di1,F1,Fi1,G1,F1,Di1,C1
	;
	db END_MARK
	
pat_ttl_chords_intro_1
	db VT_TTL_H0
	db SET_ARP, $49,      LEN+speed*4-4,  Di3, LEN+4, OFF
	db VT_TTL_H0
	db                    LEN+speed*4-4,  Di3, LEN+4, OFF
	db VT_TTL_H1
	db SET_ARP, $38,      LEN+speed*10-4, G3,  LEN+4, OFF
	db VT_TTL_H1
	db                    LEN+speed*2-4,  D3,  LEN+4, OFF
	db VT_TTL_H1
	db SET_ARP, $49,      LEN+speed*2-4,  Di3, LEN+4, OFF
	db VT_TTL_H1
	db SET_ARP, $38,      LEN+speed*2-4,  G3,  LEN+4, OFF
	db                    LEN+speed*2, OFF
	db VT_TTL_H2
	db                    LEN+speed*2-4,  G3,  LEN+4, OFF
	db                    LEN+speed*2, OFF
	db VT_TTL_H3
	db                    LEN+speed*2-4,  G3,  LEN+4, OFF
	db END_MARK

pat_ttl_chords_intro_2
	db VT_TTL_H0
	db SET_ARP, $49,      LEN+speed*4-4,  Di3, LEN+4, OFF
	db VT_TTL_H0
	db                    LEN+speed*4-4,  Di3, LEN+4, OFF
	db VT_TTL_H1
	db SET_ARP, $38,      LEN+speed*10-4, G3,  LEN+4, OFF
	db VT_TTL_H1
	db                    LEN+speed*2-4,  D3,  LEN+4, OFF
	db VT_TTL_H1
	db SET_ARP, $49,      LEN+speed*2-4,  Di3, LEN+4, OFF
	db VT_TTL_H1
	db SET_ARP, $38,      LEN+speed*2-4,  A3,  LEN+4, OFF
	db                    LEN+speed*2, OFF
	db VT_TTL_H2
	db                    LEN+speed*2-4,  A3,  LEN+4, OFF
	db                    LEN+speed*2, OFF
	db VT_TTL_H3
	db                    LEN+speed*2-4,  A3,  LEN+4, OFF
	db END_MARK

pat_ttl_chords_intro_3
	db VT_TTL_H1
	db SET_ARP, $49,      LEN+speed*4-4,  Di3, LEN+4, OFF
	db VT_TTL_H1
	db                    LEN+speed*4-4,  Di3, LEN+4, OFF
	db VT_TTL_H1
	db SET_ARP, $38,      LEN+speed*2-4,  D3,  LEN+4, OFF
	db VT_TTL_H1
	db SET_ARP, $59,      LEN+speed*4-4,  Ai2, LEN+4, OFF
	db VT_TTL_H1
	db SET_ARP, $38,      LEN+speed*4-4,  Ai2, LEN+4, OFF
	db VT_TTL_H1
	db SET_ARP, $47,      LEN+speed*2-4,  Ai2, LEN+4, OFF
	db VT_TTL_H1
	db SET_ARP, $38,      LEN+speed*2-4,  G2,  LEN+4, OFF
	db VT_TTL_H1
	db SET_ARP, $49,      LEN+speed*10-4, Di2, LEN+4, OFF
	db END_MARK

pat_ttl_verse_1
	db VT_TTL_4x
	db SET_ARP, $49,      LEN+speed*4-4,  Di3, LEN+4, OFF
	db SET_ARP, $38,      LEN+speed*4-4,  D3,  LEN+4, OFF
	db SET_ARP, $59,      LEN+speed*4-4,  C3,  LEN+4, OFF
	db SET_ARP, $38,      LEN+speed*4-4,  D3,  LEN+4, OFF
	db SET_ARP, $59,      LEN+speed*4-4,  C3,  LEN+4, OFF
	db SET_ARP, $38,      LEN+speed*2-4,  A2,  LEN+4, OFF
	db SET_ARP, $58,      LEN+speed*4-4,  G2,  LEN+4, OFF
	db SET_ARP, $38,      LEN+speed*2-4,  A2,  LEN+4, OFF
	db                    LEN+speed*4,                OFF
	;
	; ---
	;
	db SET_ARP, $59,      LEN+speed*2-4,  C3,  LEN+4, OFF
	db                    LEN+speed*2,                OFF
	db SET_ARP, $37,      LEN+speed*2-4,  C3,  LEN+4, OFF
	db                    LEN+speed*2,                OFF
	db SET_ARP, $38,      LEN+speed*2-4,  A2,  LEN+4, OFF
	db                    LEN+speed*2-4,  D2,  LEN+4, OFF
	db SET_ARP, $49,      LEN+speed*2-4,  Di2, LEN+4, OFF
	db SET_ARP, $37,      LEN+speed*4-4,  C3,  LEN+4, OFF
	db SET_ARP, $37,      LEN+speed*2-4,  C2,  LEN+4, OFF
	db SET_ARP, $47,      LEN+speed*2-4,  Ai1, LEN+4, OFF
	db SET_ARP, $58,      LEN+speed*4-4,  G1,  LEN+4, OFF
	db SET_ARP, $49,      LEN+speed*2-4,  Di1, LEN+4, OFF
	db SET_ARP, $38,      LEN+speed*2-4,  D1,  LEN+4, OFF
	db SET_ARP, $49,      LEN+speed*2-4,  Di1, LEN+4, OFF
	db END_MARK

pat_ttl_verse_2
	db VT_TTL_4x
	db SET_ARP, $58,      LEN+speed*4-4,  G3,  LEN+4, OFF
	db SET_ARP, $49,      LEN+speed*4-4,  Di3, LEN+4, OFF
	db SET_ARP, $38,      LEN+speed*4-4,  D3,  LEN+4, OFF
	db SET_ARP, $49,      LEN+speed*4-4,  Di3, LEN+4, OFF
	;
	db SET_ARP, $59,      LEN+speed*4-4,  C3,  LEN+4, OFF
	db SET_ARP, $38,      LEN+speed*2-4,  D3,  LEN+4, OFF
	db SET_ARP, $59,      LEN+speed*4-4,  C3,  LEN+4, OFF
	db SET_ARP, $38,      LEN+speed*2-4,  A2,  LEN+4, OFF
	db SET_ARP, $58,      LEN+speed*2-4,  G2,  LEN+4, OFF
	db SET_ARP, $38,      LEN+speed*2-4,  A2,  LEN+4, OFF
	;
	; ---
	;
	db SET_ARP, $59,      LEN+speed*2-4,  C3,  LEN+4, OFF
	db SET_ARP, $38,      LEN+speed*2-4,  D3,  LEN+4, OFF
	db SET_ARP, $49,      LEN+speed*2-4,  Di3, LEN+4, OFF
	db                    LEN+speed*2,                OFF
	db SET_ARP, $37,      LEN+speed*2-4,  C3,  LEN+4, OFF
	db                    LEN+speed*2,                OFF
	db SET_ARP, $38,      LEN+speed*2-4,  A2,  LEN+4, OFF
	db SET_ARP, $58,      LEN+speed*10-4, G2,  LEN+4, OFF
	;
	db VT_TTL_st
	db               vib, LEN+speed*1,    C2,Di2,F2,Fi2,G2,F2,Di2,C2
	db END_MARK

pat_ttl_chords_break_1
	db VT_TTL_2x
	db SET_ARP, $25,      LEN+speed*8,    Ai2
	db                                    Ai2
	db                                    Ai2
	db                    LEN+speed*4,    Ai2
	db SET_ARP, $38,      LEN+speed*2,    A2
	db SET_ARP, $25,                      Ai2
	;
	db END_MARK

pat_ttl_chords_break_2
	db VT_TTL_2x
	db SET_ARP, $25,      LEN+speed*8,    Ai2
	db                                    Ai2
	db                                    Ai2
	db                    LEN+speed*4,    Ai2
	db SET_ARP, $38,      LEN+speed*2,    A2
	db                                    G2
	;
	db END_MARK

pat_ttl_bass_break_1
	db vib
	db LEN+speed*1
	db C1,C2,C1,OFF, C2,C1,OFF,C2
	db C1,C2,C1,OFF, C2,C1,OFF,C2
	db Di1,Di2,Di1,OFF, Di2,Di1,OFF,Di2
	db Ai0,Ai1,Ai0,OFF, Ai1,Ai0,OFF,Ai1
	db END_MARK

pat_ttl_bass_break_2
	db vib
	db LEN+speed*1
	db C1,C2,C1,OFF, C2,C1,OFF,C2,C1
	db Di1,Di2,Di1,Ai0,Ai1,Ai0,Ai1
	db C1,C2,C1,OFF, C2,C1,OFF,C2,C1
	db Di1,Di2,Di1,Ai0,Ai1,Ai0,Ai1
	db END_MARK

pat_ttl_breakdown_1
	db $E0
	db LEN+speed*1, OFF
	db LEN+1
	db        A4,F4,C4,A3,F3,C3,A2,F2,C2, OFF
	db        A4,F4,C4,A3,F3,C3,A2,F2,C2, OFF
	db        A4,F4,C4,A3,F3,C3,A2,F2,C2, OFF
	db LEN+speed*4
	db OFF
	; ---
	db LEN+speed*4
	db OFF
	db LEN+speed*1, OFF
	db LEN+1
	db        A4,F4,C4,A3,F3,C3,A2,F2,C2, OFF
	db        A4,F4,C4,A3,F3,C3,A2,F2,C2, OFF
	db        A4,F4,C4,A3,F3,C3,A2,F2,C2, OFF
	; ---
	db LEN+speed*2,OFF
	db LEN+1
	db                                  Ci4,C4,B3,Ai3
	db       A3,Gi3,G3,Fi3,F3,E3,Di3,D3,Ci3,C3,B2,Ai2
	db       A2,Gi2,G2,Fi2,F2,E2,Di2,D2,Ci2,C2,B1,Ai1
	db       A1,Gi1,G1,Fi1,F1,E1,Di1,D1,Ci1,C1,B0,Ai0
	db LEN+speed*2,OFF
	; ---
	db LEN+1
	db        C4,C3,C2,C1,C4,C3,C2,C1, OFF,OFF
	db        C4,C3,C2,C1,C4,C3,C2,C1, OFF,OFF
	db        C4,C3,C2,C1,C4,C3,C2,C1, OFF,OFF
	db LEN+speed*1, OFF
	db LEN+speed*4
	db OFF
	;
	db END_MARK

pat_ttl_breakdown_2
	db $E0
	;
	db LEN+speed*2,OFF
	db LEN+1
	db                                  Ci4,C4,B3,Ai3
	db       A3,Gi3,G3,Fi3,F3,E3,Di3,D3,Ci3,C3,B2,Ai2
	db       A2,Gi2,G2,Fi2,F2,E2,Di2,D2,Ci2,C2,B1,Ai1
	db       A1,Gi1,G1,Fi1,F1,E1,Di1,D1,Ci1,C1,B0,Ai0
	db LEN+speed*2,OFF
	;
	db LEN+speed*1, OFF
	db LEN+1
	db        A4,F4,C4,A3,F3,C3,A2,F2,C2, OFF
	db        A4,F4,C4,A3,F3,C3,A2,F2,C2, OFF
	db        A4,F4,C4,A3,F3,C3,A2,F2,C2, OFF
	db LEN+speed*4
	db OFF
	; ---
	db LEN+1
	db        C4,C3,C2,C1,C4,C3,C2,C1, OFF,OFF
	db        C4,C3,C2,C1,C4,C3,C2,C1, OFF,OFF
	db        C4,C3,C2,C1,C4,C3,C2,C1, OFF,OFF
	db LEN+speed*1, OFF
	db LEN+speed*3
	db OFF
	;
	db LEN+1, F2,E2,Di2,D2,Ci2,C2,B1,Ai1,  LEN+speed*1-8, OFF
	db LEN+1, F2,E2,Di2,D2,Ci2,C2,B1,Ai1,  LEN+speed*2-8, OFF
	db LEN+1, Di2,D2,Ci2,C2,B1,Ai1,A1,Gi1, LEN+speed*1-8, OFF
	db LEN+1, Di2,D2,Ci2,C2,B1,Ai1,A1,Gi1, LEN+speed*2-8, OFF
	db LEN+1, C2,B1,Ai1,A1,Gi1,G1,Fi1,F1,  LEN+speed*1-8, OFF
	db LEN+1, C2,B1,Ai1,A1,Gi1,G1,Fi1,F1,  LEN+speed*1-8, OFF
	db LEN+1, C2,B1,Ai1,A1,Gi1,G1,Fi1,F1,  LEN+speed*1-8, OFF
	;
	db END_MARK

pat_ttl_chords_mid
	db VT_TTL_4x
	db SET_ARP, $58,    LEN+speed*8,   G2,G2
	db SET_ARP, $38,    LEN+speed*8,   G2,G2
	db SET_ARP, $59,    LEN+speed*8,   F2,F2
	db SET_ARP, $47,    LEN+speed*4*2, F2
	db SET_ARP, $59,    LEN+speed*4*2, F2
	db END_MARK

pat_ttl_solo_mid
	db vib
	db LEN+2,Ai2,B2, LEN+speed*4-4, C3
	db LEN+2,Ai2,B2, LEN+speed*4-4, C3
	db               LEN+speed*2,   D3
	db LEN+2,C3,D3,  LEN+speed*4-4, Di3
	db LEN+2,C3,D3,  LEN+speed*6-4, Di3
	db               LEN+speed*4,   Ai2
	db LEN+2,C3,D3,  LEN+speed*4-4, Di3
	db               LEN+speed*2,   F3
	db LEN+2,Ai2,C3, LEN+speed*6-4, D3
	db LEN+2,C3,D3,  LEN+speed*4-4, Di3
	db               LEN+speed*2,   D3
	db               LEN+speed*4,   Ai2,A2
	db               LEN+speed*2,   Ai2,A2
	db LEN+2,Di2,E2, LEN+speed*6-4, F2
	db               LEN+speed*4,   G2
	;
	db LEN+2,Ai2,B2, LEN+speed*4-4, C3
	db LEN+2,Ai2,B2, LEN+speed*4-4, C3
	db               LEN+speed*4,   D3
	db LEN+2,C3,D3,  LEN+speed*4-4, Di3
	db LEN+2,F3,G3,  LEN+speed*4-4, Ai3
	db               LEN+speed*2,   C4 
	db               LEN+speed*6,   Ai3
	db               LEN+speed*4,   Di3,G3
	db LEN+2,Di3,E3, LEN+speed*4-4, F3
	db LEN+2,Di3,E3, LEN+speed*4-4, F3
	db               LEN+speed*2,   Di3
	db               LEN+speed*12,  F3
	db               LEN+2,E3,Di3,D3,Ci3,C3,B2,Ai2,A2,Gi2,G2
	db                     Fi2,F2,E2,Di2,D2,Ci2,C2,B1,Ai1,A1
	db               LEN+speed*2,   OFF
	db END_MARK
	
pat_ttl_rev_1
	db VT_TTL_4x
	db SET_ARP, $12
	db LEN+speed*1
	db D1,D1,Di1,Di1,Di1, E1,E1,F1,F1,F1, Fi1,Fi1,G1,G1,G1
	db Gi1,Gi1,Gi1,A1,A1, Ai1,Ai1,Ai1,B1,B1, C2,C2,C2,Ci2,Ci2
	db D2,D2
	;
	db C1,C1,Ci1,Ci1,Ci1, D1,D1,Di1,Di1,Di1, E1,E1,F1,F1,F1
	db Fi1,Fi1,G1,G1,G1, Gi1,Gi1,Gi1,A1,A1, Ai1,Ai1,Ai1,B1,B1
	db C2,C2
	;
	db B0,B0,B0, C1,C1,C1, Ci1,Ci1,Ci1, D1,D1,D1, Di1,Di1,Di1
	db E1,E1,E1, F1,F1,F1, Fi1,Fi1,Fi1, G1,G1,G1, Gi1,Gi1,Gi1
	db A1,A1
	;
	db SET_ARP, $01
	db Ai0,Ai0,Ai0, B0,B0,B0, C1,C1,C1, Ci1,Ci1,Ci1, D1,D1,D1
	db Di1,Di1,Di1, E1,E1,E1, F1,F1,F1, Fi1,Fi1,Fi1, G1,G1,G1
	db Gi1,Gi1
	;
	db END_MARK

;[eof]        