	if MBOX=0
snare_data
	dw $2204
	dw $43F6
	dw $43C0
	dw $43A0
	dw $4380
	dw $4360
	dw $4351

bass_freq
	dw $1E5,$1A3,$159
	dw $106,$A9,$40
	dw 7
	
hihat_freq
	db $FB,$FA
	endif

	if MBOX=1
Track1_voltab_lo
	else
voltab_lo
	endif
	db vol_tr1_race_start_1x & 255
	db vol_tr1_race_start_2x & 255
	db vol_tr1_race_start_out & 255
	db vol_tr1_1x & 255
	db vol_tr1_2x & 255
	db vol_tr1_2x_hold & 255
	db vol_tr1_weird & 255

	if MBOX=1
Track1_voltab_hi
	else
voltab_hi
	endif
	db vol_tr1_race_start_1x >> 8
	db vol_tr1_race_start_2x >> 8
	db vol_tr1_race_start_out >> 8
	db vol_tr1_1x >> 8
	db vol_tr1_2x >> 8
	db vol_tr1_2x_hold >> 8
	db vol_tr1_weird >> 8
	
VT_RS_1x	= $F0
VT_RS_2x	= $F1
VT_RS_out	= $F2
VT_1x		= $F3
VT_2x		= $F4
VT_2x_hold	= $F5
VT_weird	= $F6

vol_tr1_race_start_1x
	db 8,8,7,7, 6,6,5,5, 4,4,3,3
	db $80
vol_tr1_race_start_2x
	db 8,8,7,7, 6,6,6,6, 5,5,5,5
	db $84
vol_tr1_race_start_out
	db 4,4,3,3,2,2,1,0
	db $87

vol_tr1_1x
	db 8,8,8, 8,7,7, 7,7,6
	db 6,6,6, 5,5,5, 5,4,4
	db $80
vol_tr1_2x
	db 8,8,8, 8,7,7, 7,7,7
	db 7,7,7, 6,6,6, 6,6,6
	;
	db 5,5,5, 5,5,5, 5,5,5
	db 4,4,4, 4,4,4, 4,4,4
	;
	db $80+18

vol_tr1_2x_hold
	db 8,8,8, 8,7,7, 7,7,7
	db 7,7,7, 6,6,6, 6,6,6
	db 6,6,5, 5,5,5, 5,5,5
	db 5,5,5, 5,5,5, 6,6,7
	db $80

vol_tr1_weird
	db 3,3,3, 4,4,4, 5,5,5
	db 6,6,6, 5,5,5, 4,4,4
	db $80

Race_Start_Channel1
	dw pat_race_start_ch1
	dw 0
	
Race_Start_Channel2
	dw pat_race_start_ch2
	dw 0

LEN = $40

speed = 7

bdr = $E1
snr = $E2
hht = $E3
arp = $E4
vib = $E5

;pat_quiet
;	db $E0
;	db LEN+speed*8
;	db OFF,OFF,OFF,OFF
;	db OFF,OFF,OFF,OFF
;	db END_MARK

pat_race_start_ch1
	db VT_RS_1x, vib, LEN+5*2,  C2, LEN+2, OFF
	db                LEN+6*2,  C2, OFF
	db                          C2, OFF
	db                          C2, OFF
	db                          C2
	db VT_RS_2x,      LEN+6*8,  Di2,F2
	db VT_RS_1x, $E8, LEN+6*2,  C2,Ai1,G1,C2,OFF,C2,OFF
	db                LEN+5*2,  C2, LEN+2, OFF
	db VT_RS_2x,      LEN+5*8,  C2
	db VT_RS_out,     LEN+1*8,  C2
	;
	db                LEN+128,  OFF,OFF,OFF,OFF
	;
	db END_MARK

pat_race_start_ch2
	db           vib, LEN+5*2,  G1, LEN+2, OFF
	db                LEN+6*2,  G1, OFF
	db                          G1, OFF
	db                          G1, OFF
	db                          G1
	db                LEN+6*8,  Ai1,C2
	db           $E8, LEN+6*2,  G1,F1,D1,G1,OFF,G1,OFF
	db                LEN+5*2,  G1, LEN+2, OFF
	db                LEN+6*8,  G1
	;
	db                LEN+128,  OFF,OFF,OFF,OFF
	;
	db END_MARK

Game_Over_Channel1
	dw pat_game_over_ch1
	dw 0

Game_Over_Channel2
	dw pat_game_over_ch2
	dw 0

pat_game_over_ch1
	db VT_RS_2x
pat_game_over_ch2
	db $E9
	db LEN+126
	db 10,9,8,7,6
	db 7,8,9
	db END_MARK

	if MBOX=1
Track1_Channel1
	else
Channel1
	endif
	dw pat_tr1_bass_intro_1
	dw pat_tr1_bass_intro_1
	;
	dw pat_tr1_bass_intro_2,pat_tr1_bass_intro_2
	dw pat_tr1_bass_intro_2,pat_tr1_bass_intro_2
	;
	dw pat_tr1_bass_1
	dw pat_tr1_bass_1
	dw pat_tr1_bass_2
	dw pat_tr1_bass_3
	dw pat_tr1_bass_4,pat_tr1_bass_4
	;
	dw pat_tr1_bass_1
	dw pat_tr1_bass_1
	dw pat_tr1_bass_2
	dw pat_tr1_bass_3
	dw pat_tr1_bass_4,pat_tr1_bass_4
	;
	dw pat_tr1_bass_mid_12
	dw pat_tr1_bass_mid_12
	;
	dw pat_tr1_bass_mid_3
	dw pat_tr1_bass_mid_4,pat_tr1_bass_mid_4,pat_tr1_bass_mid_4,pat_tr1_bass_mid_4
	dw pat_tr1_bass_mid_4,pat_tr1_bass_mid_4,pat_tr1_bass_mid_4,pat_tr1_bass_mid_4
	;
	dw pat_tr1_bass_1
	dw pat_tr1_bass_1
	dw pat_tr1_bass_2
	dw pat_tr1_bass_3
	dw pat_tr1_bass_4,pat_tr1_bass_4
	;
	;dw pat_tr1_quiet
	;
	dw 0
	
	if MBOX=1
Track1_Channel2
	else
Channel2
	endif
	dw pat_tr1_chords_intro
	dw pat_tr1_chords_intro
	;
	dw pat_tr1_bass_intro_2_high,pat_tr1_bass_intro_2_high
	dw pat_tr1_bass_intro_2_high,pat_tr1_bass_intro_2_high
	;
	dw pat_tr1_chords_1
	dw pat_tr1_chords_1
	dw pat_tr1_chords_2
	dw pat_tr1_chords_3
	dw pat_tr1_chords_4
	;
	dw pat_tr1_chords_1
	dw pat_tr1_chords_1
	dw pat_tr1_chords_2
	dw pat_tr1_chords_3
	dw pat_tr1_chords_4
	;
	dw pat_tr1_chords_mid_1,pat_tr1_chords_mid_2
	dw pat_tr1_chords_mid_1,pat_tr1_chords_mid_3
	;
	dw pat_tr1_chords_mid_4
	;
	dw pat_tr1_chords_1
	dw pat_tr1_chords_1
	dw pat_tr1_chords_2
	dw pat_tr1_chords_3
	dw pat_tr1_chords_4
	;
	;dw pat_tr1_quiet
	;
	dw 0

LEN = $40

speed = 9

bdr = $E1
snr = $E2
hht = $E3
arp = $E4
vib = $E5

;pat_tr1_quiet
;	db $E0
;	db LEN+speed*8
;	db OFF,OFF,OFF,OFF
;	db OFF,OFF,OFF,OFF
;	db END_MARK
	
pat_tr1_bass_intro_1
	db bdr,            vib,LEN+speed*4-7-2, C0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-6, C0, LEN+6, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,        LEN+speed*2-2,   OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-6, C0, LEN+6, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db snr,                LEN+speed*2-7,   OFF
	;
	;-
	db bdr,            vib,LEN+speed*4-7-2, F0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, F0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*4-7-2, F0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,        LEN+speed*2-2,   OFF
	;
	db bdr,            vib,LEN+speed*4-7-2, G0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, G0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-6, G0, LEN+6, OFF
	db snr,                LEN+speed*2-7,   OFF
	db snr,                LEN+speed*2-7,   OFF
	db snr,                LEN+speed*2-7,   OFF
	;
	db END_MARK

pat_tr1_bass_intro_2
	db bdr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, E0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, F0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, F0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, G0, LEN+2, OFF
	;
	db END_MARK
	
pat_tr1_bass_1
	db bdr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, D0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, D0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db snr,                LEN+speed*2-7,   OFF
	db END_MARK

pat_tr1_bass_2
	db bdr,            vib,LEN+speed*2-7-2, G0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, G1, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, G0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, G1, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, G0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, G1, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, G0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, G1, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, G0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, G1, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, G0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db snr,                LEN+speed*2-7,   OFF
	db END_MARK

pat_tr1_bass_3
	db bdr,            vib,LEN+speed*2-7-2, F0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, F0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, E0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, F0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,        LEN+speed*2-2,   OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, G0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, G0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, F0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, G0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,        LEN+speed*2-2,   OFF
	db END_MARK

pat_tr1_bass_4
	db bdr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*4-2-2, C0, LEN+2, OFF
	;
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	;
	db END_MARK

pat_tr1_bass_mid_12
	db bdr,            vib,LEN+speed*4-7-2, Ai0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, Ai0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, A0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, Ai0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*4-2-2, Ai0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, Ai0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, Ai0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, A0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, Ai0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, G0,  LEN+2, OFF
	;
	; ---
	;
	db bdr,            vib,LEN+speed*4-7-2, C1,  LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C1,  LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, B0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C1,  LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*4-2-2, C1,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C1,  LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C1,  LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, B0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C1,  LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db snr,                LEN+speed*2-7,   OFF
	;
	db END_MARK

pat_tr1_bass_mid_3
	db bdr,            vib,LEN+speed*2-7-2, A0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, A0,  LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, A0,  LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, A0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, A0,  LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*4-2-2, A0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, A0,  LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, A0,  LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, A0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, A0,  LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db snr,                LEN+speed*2-7,   OFF
	;
	; ---
	;
	db bdr,            vib,LEN+speed*2-7-2, F0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, F0,  LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, F0,  LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, F0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, F0,  LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*4-2-2, F0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, F0,  LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, F0,  LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, F0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, F0,  LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db snr,                LEN+speed*2-7,   OFF
	;
	db END_MARK
 
pat_tr1_bass_mid_4
	db bdr,            vib,LEN+speed*2-7-2, G0,  LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, G0,  LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, G1,  LEN+2, OFF	
	db END_MARK
	
pat_tr1_chords_intro
	db VT_2x, SET_ARP, $38,      LEN+speed*4, E2
	db                           LEN+speed*2-4, E2, LEN+4, OFF
	db VT_1x, SET_ARP, $59,      LEN+speed*2, D2
	;
	db VT_weird,            vib,              C1
	db VT_2x, SET_ARP, $38,      LEN+speed*4, E2
	db                           LEN+speed*2-4, E2, LEN+4, OFF
	;
	db VT_1x,                    LEN+speed*2-4, E2, LEN+4, OFF
	db VT_2x,                    LEN+speed*4-2, E2, LEN+2, OFF
	db VT_1x, SET_ARP, $59,      LEN+speed*2-2, D2, LEN+2, OFF
	;
	db VT_weird,            vib, LEN+speed*2, C1
	db VT_2x, SET_ARP, $38,      LEN+speed*6, E2
	;
	; -
	db VT_2x, SET_ARP, $59,      LEN+speed*4, C2
	db                           LEN+speed*8, C2
	db VT_1x
	db $E0, LEN+2, C4,C3,C2,C1,C4,C3, C2,C1,OFF
	db VT_1x,                    LEN+speed*2, OFF
	;
	db VT_2x, SET_ARP, $38,      LEN+speed*4, B1
	db                                              LEN+speed*8, B1
	db VT_1x
	db $E0, LEN+2, C4,C3,C2,C1,C4,C3, C2,C1,OFF
	db                                              LEN+speed*2, OFF
	db END_MARK
	
pat_tr1_bass_intro_2_high
	db VT_1x
	db $E0, LEN+speed*2
	db C0,C1,E0,E1,F0,F1,G0,G1
	;
	db END_MARK

pat_tr1_chords_1
	db VT_1x, SET_ARP, $38,      LEN+speed*2, E2
	db                                                           E2
	db VT_2x,                    LEN+speed*4, E2
	;
	db VT_1x, SET_ARP, $59,      LEN+speed*2, D2
	db VT_2x, SET_ARP, $38,      LEN+speed*4, E2
	db VT_1x,                    LEN+speed*2, E2
	;
	db VT_weird,            vib,              C1
	db VT_1x,               arp,              E2
	db VT_2x,                    LEN+speed*4, E2
	;
	db VT_1x, SET_ARP, $59,      LEN+speed*2, D2
	db VT_2x, SET_ARP, $38,      LEN+speed*4, E2
	db                                              LEN+speed*2, E2
	;
	db END_MARK

pat_tr1_chords_2
	db VT_2x_hold, SET_ARP, $38, LEN+speed*8, B1
	db                                                           B1
	;
	db VT_1x
	db $E0, LEN+3
	db G1,G2,G3
	db B1,B2,B3
	db G1,G2,G3
	db B1,B2,B3
	;
	db C1,C2,C3
	db D2,D3,D4
	db C1,C2,C3
	db D2,D3,D4
	;
	db F2,F3,F4
	db G2,G3,G4
	db F2,F3,F4
	db D2,D3,D4
	;
	db C1,C2,C3
	db B1,B2,B3
	db G1,G2,G3
	db LEN+speed*1,OFF
	db END_MARK

pat_tr1_chords_3
	db VT_2x, SET_ARP, $38,      LEN+speed*6, A1
	db VT_1x, SET_ARP, $59,      LEN+speed*2, G1
	;
	db VT_weird,            vib,              F1
	db VT_2x, SET_ARP, $38,      LEN+speed*6, A1
	;-
	db VT_1x, SET_ARP, $38,      LEN+speed*2, B1
	db VT_2x,                    LEN+speed*4, B1
	db VT_1x, SET_ARP, $58,      LEN+speed*2, A1
	;
	db VT_weird,            vib,              G1
	db VT_2x, SET_ARP, $38,      LEN+speed*4, B1
	db                           LEN+speed*2, B1
	;
	db END_MARK

pat_tr1_chords_4
	db VT_2x, SET_ARP, $38,      LEN+speed*4, E2
	db                           LEN+speed*6, E2, E2
	;
	db VT_1x, $E0
	db LEN+speed*2,OFF
	db LEN+1, A1,Gi1,G1,Fi1,F1,E1,Di1,D1,  LEN+speed*2-8, OFF
	db LEN+1, A1,Gi1,G1,Fi1,E1,Di1,D1,Ci1, LEN+speed*2-8, OFF
	db LEN+1, Fi1,F1,E1,Di1,D1,Ci1,C1,B0,  LEN+speed*2-8, OFF
	db LEN+1, Fi1,F1,E1,Di1,Ci1,C1,B0,Ai0, LEN+speed*2-8, OFF
	db LEN+1, D1,Ci1,C1,B0,Ai0,A0,Gi0,G0,  LEN+speed*2-8, OFF
	db LEN+1, D1,Ci1,C1,B0,A0,Gi0,G0,Fi0,  LEN+speed*2-8, OFF
	db LEN+speed*2,OFF
	;
	db END_MARK
	
pat_tr1_chords_mid_1
	db VT_2x, SET_ARP, $38,      LEN+speed*6, D1
	db VT_2x, SET_ARP, $57,                   F1
	db VT_2x, SET_ARP, $59,                   F1
	db VT_2x, SET_ARP, $46,                   Ai1
	db VT_2x, SET_ARP, $47,      LEN+speed*4, Ai1
	db VT_2x, SET_ARP, $37,                   D2
	db END_MARK

pat_tr1_chords_mid_2
	db VT_2x, SET_ARP, $47,      LEN+speed*6, C2
	db VT_2x, SET_ARP, $59,                   G1
	db VT_2x, SET_ARP, $38,      LEN+speed*4, E1
	db                           LEN+speed*8, E1
	;                          
	db VT_1x
	db $E0, LEN+2, C1,C2,C3,C1,C2,C3,C1,C2,OFF
	db             C2,C3,C4,C2,C3,C4,C2,C3,OFF
	db             G1,G2,G3,G1,G2,G3,G1,G2,OFF
	db             C1,C2,C3,C1,C2,C3,C1,C2,OFF
	db END_MARK

pat_tr1_chords_mid_3
	db VT_2x, SET_ARP, $47,      LEN+speed*4, C2
	db                           LEN+speed*6, C2,C2
	;                          
	db VT_1x
	db $E0, LEN+2, G1,G2,G3,G1,G2,G3, LEN+speed*4-12, OFF
	db      LEN+2, G1,G2,G3,G1,G2,G3, LEN+speed*4-12, OFF
	db      LEN+2, G1,G2,G3,G1,G2,G3, LEN+speed*4-12, OFF
	db      LEN+2, G1,G2,G3,G1,G2,G3, LEN+speed*4-12, OFF
	db END_MARK

pat_tr1_chords_mid_4
	db VT_2x, SET_ARP, $59,      LEN+speed*6,  C1
	db VT_2x, SET_ARP, $5B,                    C1
	db VT_2x, SET_ARP, $58,                    E1
	db VT_2x, SET_ARP, $5A,                    E1
	db VT_2x, SET_ARP, $37,      LEN+speed*4,  A1
	db                           SET_ARP, $58, E1
	;
	db VT_2x, SET_ARP, $59,      LEN+speed*6,  C1
	db VT_2x, SET_ARP, $5B,                    C1
	db VT_2x, SET_ARP, $58,                    E1
	db VT_2x, SET_ARP, $5A,                    E1
	db VT_2x, SET_ARP, $37,      LEN+speed*4,  A1
	db                           SET_ARP, $38, A1
	;
	db                                         B1
	db                           LEN+speed*6,  B1, B1
	;
	db VT_1x
	db LEN+speed*1-2, B2, LEN+2, OFF
	db LEN+speed*1,   B2, OFF, B2, OFF, B2, OFF, B2, A2, OFF, B2, OFF
	db VT_2x,                    LEN+speed*4, B1
	;
	db vib, LEN+speed*2
	db G1,G2,D2,G1,F2,D2,G1,G2,OFF
	db G2,D2,G1,F2,G2
	db LEN+speed*4, Ai1 
	db END_MARK

;[eof]