	if MBOX=0
snare_data
	dw $2204
	dw $43F6
	dw $43C0
	dw $43A0
	dw $4380
	dw $4360
	dw $4351

bass_freq
	dw $1E5,$1A3,$159
	dw $106,$A9,$40
	dw 7
	
hihat_freq
	db $FB,$FA
	endif
	
	if MBOX=1
Track2_voltab_lo
	else
voltab_lo
	endif
	db vol_race_start_1x & 255
	db vol_race_start_2x & 255
	db vol_race_start_out & 255
	db vol_default & 255

	if MBOX=1
Track2_voltab_hi
	else
voltab_hi
	endif
	db vol_race_start_1x >> 8
	db vol_race_start_2x >> 8
	db vol_race_start_out >> 8
	db vol_default >> 8
	
VT_RS_1x	= $F0
VT_RS_2x	= $F1
VT_RS_out	= $F2
VT_default	= $F3

vol_race_start_1x
	db 8,8,7,7, 6,6,5,5, 4,4,3,3
	db $80
vol_race_start_2x
	db 8,8,7,7, 6,6,6,6, 5,5,5,5
	db $84
vol_race_start_out
	db 4,4,3,3,2,2,1,0
	db $87
	
	;align 256
vol_default
vol_1x
	db 8,8,8,8,8, 7,7,7,7,7
	db 6,6,6,6,6, 5,5,5,6,7
	db $80

	if MBOX=0
Race_Start_Channel1
	dw pat_race_start_ch1
	dw 0
	
Race_Start_Channel2
	dw pat_race_start_ch2
	dw 0

pat_race_start_ch1
	db VT_RS_1x, vib, LEN+5*2,  C2, LEN+2, OFF
	db                LEN+6*2,  C2, OFF
	db                          C2, OFF
	db                          C2, OFF
	db                          C2
	db VT_RS_2x,      LEN+6*8,  Di2,F2
	db VT_RS_1x, $E8, LEN+6*2,  C2,Ai1,G1,C2,OFF,C2,OFF
	db                LEN+5*2,  C2, LEN+2, OFF
	db VT_RS_2x,      LEN+5*8,  C2
	db VT_RS_out,     LEN+1*8,  C2
	;
	db                LEN+128,  OFF,OFF,OFF,OFF
	;
	db END_MARK

pat_race_start_ch2
	db           vib, LEN+5*2,  G1, LEN+2, OFF
	db                LEN+6*2,  G1, OFF
	db                          G1, OFF
	db                          G1, OFF
	db                          G1
	db                LEN+6*8,  Ai1,C2
	db           $E8, LEN+6*2,  G1,F1,D1,G1,OFF,G1,OFF
	db                LEN+5*2,  G1, LEN+2, OFF
	db                LEN+6*8,  G1
	;
	db                LEN+128,  OFF,OFF,OFF,OFF
	;
	db END_MARK

Game_Over_Channel1
	dw pat_game_over_ch1
	dw 0

Game_Over_Channel2
	dw pat_game_over_ch2
	dw 0

pat_game_over_ch1
	db VT_RS_2x
pat_game_over_ch2
	db $E9
	db LEN+126
	db 10,9,8,7,6
	db 7,8,9
	db END_MARK
	endif

	if MBOX=1
Track2_Channel1
	else
Channel1
	endif
	dw pat_tr2_bass_1,pat_tr2_bass_1a,pat_tr2_bass_1,pat_tr2_bass_1b
	dw pat_tr2_bass_1,pat_tr2_bass_1a,pat_tr2_bass_1,pat_tr2_bass_1b
	dw pat_tr2_bass_1,pat_tr2_bass_1a,pat_tr2_bass_1,pat_tr2_bass_1b
	dw pat_tr2_bass_1,pat_tr2_bass_1a,pat_tr2_bass_1,pat_tr2_bass_1b
	dw pat_tr2_bass_fast_1,pat_tr2_bass_fast_1,pat_tr2_bass_fast_1,pat_tr2_bass_fast_2
	dw pat_tr2_bass_fast_1,pat_tr2_bass_fast_1,pat_tr2_bass_fast_1,pat_tr2_bass_fast_3
	dw pat_tr2_bass_fast_1,pat_tr2_bass_fast_1,pat_tr2_bass_fast_1,pat_tr2_bass_fast_2
	dw pat_tr2_bass_fast_1,pat_tr2_bass_fast_1,pat_tr2_bass_fast_1,pat_tr2_bass_fast_3
	dw pat_tr2_drums_only,pat_tr2_drums_only,pat_tr2_drums_only,pat_tr2_drums_only_fill
	dw pat_tr2_bass_groove_1
	dw pat_tr2_bass_groove_1
	dw pat_tr2_bass_groove_1,pat_tr2_bass_groove_1
	dw pat_tr2_drums_only,pat_tr2_drums_only,pat_tr2_drums_only,pat_tr2_drums_only_fill
	;dw pat_tr2_quiet
	;
	dw 0
	
	if MBOX=1
Track2_Channel2
	else
Channel2
	endif
	dw pat_tr2_lead_1,pat_tr2_lead_1a
	dw pat_tr2_lead_1,pat_tr2_lead_1b
	dw pat_tr2_lead_1,pat_tr2_lead_1a
	dw pat_tr2_lead_1,pat_tr2_lead_1b
	dw pat_tr2_bass_fast_high_1,pat_tr2_bass_fast_high_1,pat_tr2_bass_fast_high_1,pat_tr2_bass_fast_high_2
	dw pat_tr2_bass_fast_high_1,pat_tr2_bass_fast_high_1,pat_tr2_bass_fast_high_1,pat_tr2_bass_fast_high_3
	dw pat_tr2_bass_fast_high_1,pat_tr2_bass_fast_high_1,pat_tr2_bass_fast_high_1,pat_tr2_bass_fast_high_2
	dw pat_tr2_bass_fast_high_1,pat_tr2_bass_fast_high_1,pat_tr2_bass_fast_high_1,pat_tr2_bass_fast_high_3
	dw pat_tr2_bass_mid,pat_tr2_bass_mid,pat_tr2_bass_mid,pat_tr2_bass_mid
	dw pat_tr2_lead_groove_1
	dw pat_tr2_lead_groove_1
	dw pat_tr2_lead_groove_2
	dw pat_tr2_bass_mid,pat_tr2_bass_mid,pat_tr2_bass_mid,pat_tr2_bass_mid
	;dw pat_tr2_quiet
	;
	dw 0

LEN = $40

speed = 10

bdr = $E1
snr = $E2
hht = $E3
arp = $E4
vib = $E5

;pat_tr2_quiet
;	db $E0
;	db LEN+speed*8
;	db OFF,OFF,OFF,OFF
;	db OFF,OFF,OFF,OFF
;	db END_MARK
	
pat_tr2_drums_only
	db VT_default
	db bdr,                LEN+speed*2-7, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db snr,                LEN+speed*2-7, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	;
	db bdr,                LEN+speed*2-7, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db snr,                LEN+speed*2-7, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	;            	
	db END_MARK

pat_tr2_drums_only_fill
	db bdr,                LEN+speed*2-7, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db snr,                LEN+speed*2-7, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	;
	db bdr,                LEN+speed*2-7, OFF
	db hht,LEN+2,0,        LEN+speed*2-2, OFF
	db snr,                LEN+speed*1-7, OFF
	db snr,                LEN+speed*1-7, OFF
	db snr,                LEN+speed*1-7, OFF
	db snr,                LEN+speed*1-7, OFF
	;            	
	db END_MARK

pat_tr2_bass_1
	db VT_default
	db bdr,            vib,LEN+speed*3-7-2, F0,  LEN+2, OFF
	db                     LEN+speed*1,     F1
	db snr,                LEN+speed*2-7,   OFF
	;!!!
	;db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0,  LEN+2, OFF
	;db bdr,            vib,LEN+speed*2-7-2, Di0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, F0,  LEN+2, OFF
	db bdr,            vib,LEN+speed*2-7-2, F0,  LEN+2, OFF
	;
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, F0,  LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed,       Gi0, Ai0
	;
	db bdr,            vib,LEN+speed*3-7-2, F0,  LEN+2, OFF
	db                     LEN+speed*1,     F1
	db snr,                LEN+speed*2-7,   OFF
	;!!!
	;db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0,  LEN+2, OFF
	;db bdr,            vib,LEN+speed*2-7-2, Di0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, F0,  LEN+2, OFF
	db bdr,            vib,LEN+speed*2-7-2, F0,  LEN+2, OFF
	;
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, F0,  LEN+2, OFF
	db END_MARK
	;
pat_tr2_bass_1a
	db snr,                LEN+speed*2-7,   OFF
	;!!!
	;db                 vib,LEN+speed,       Di0, C0
	db                 vib,LEN+speed,       Gi0, G0
	db END_MARK
pat_tr2_bass_1b
	db snr,                LEN+speed*1-7,   OFF
	db snr,                LEN+speed*1-7,   OFF
	db snr,                LEN+speed*1-7,   OFF
	db snr,                LEN+speed*1-7,   OFF
	;
	db END_MARK

pat_tr2_bass_fast_1
	db bdr,            vib,LEN+speed*2-7-2, F0, LEN+2, OFF
	db                     LEN+speed*1-4,   F0, LEN+4, OFF
	db                     LEN+speed*1-4,   F0, LEN+4, OFF
	db snr,                LEN+speed*1-7,   OFF
	db bdr,            vib,LEN+speed*2-7-2, F0, LEN+2, OFF
	db                     LEN+speed*1-4,   F0, LEN+4, OFF
	db END_MARK

pat_tr2_bass_fast_2
	db bdr,            vib,LEN+speed*2-7,   F0
	db bdr,            vib,LEN+speed*2-7,   F0
	db bdr,            vib,LEN+speed*4-7,   Gi0
	db END_MARK

pat_tr2_bass_fast_3
	db bdr,            vib,LEN+speed*2-7,   F0
	db bdr,            vib,LEN+speed*2-7,   F0
	db bdr,            vib,LEN+speed*4-7,   Ai0
	db END_MARK

pat_tr2_bass_fast_high_1
	;!!!
	;db $E0, LEN+1,C0,Ci0,D0,Di0,E0
	db $E0, LEN+1,Ai0,A0,Gi0,G0,Fi0
	db      LEN+speed*2-5, F0
	db      LEN+speed*1-6, F0, LEN+6, OFF
	db      LEN+speed*1-2, F0, LEN+2, OFF
	db      LEN+speed*1, OFF
	;!!!
	;db      LEN+1,C0,Ci0,D0,Di0,E0
	db      LEN+1,Ai0,A0,Gi0,G0,Fi0
	db      LEN+speed*2-5, F0
	db      LEN+speed*1-6, F0, LEN+6, OFF
	db END_MARK

pat_tr2_bass_fast_high_2
	db LEN+speed*4, OFF
	db SET_ARP, $3A, arp, F2
	db END_MARK

pat_tr2_bass_fast_high_3
	db LEN+speed*4, OFF
	db SET_ARP, $3A, arp, Ai2
	db END_MARK

pat_tr2_bass_mid
	db vib, LEN+speed*2,   F0, Gi0, Ai0, C1
	db                     F0
	db      LEN+speed*1,   Gi0
	db      LEN+speed*2-2, Ai0, LEN+2, OFF
	db      LEN+speed*1,   Ai0
	db      LEN+speed*2,   C1
	db END_MARK

pat_tr2_bass_groove_1
	db bdr,            vib,LEN+speed*2-7,   F0
	db SET_ARP, $37,       LEN+speed*2,     F1
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*2-2,   Di1, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, F1,  LEN+2, OFF
	db                 arp,LEN+speed*2,     F1
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*1,     Gi0,Ai0
	;
	db bdr,            vib,LEN+speed*2-7,   F0
	db                 arp,LEN+speed*2,     F1
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*2-2,   Di1, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, F1,  LEN+2, OFF
	db                 arp,LEN+speed*2,     F1
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*2-2,   Di1, LEN+2, OFF
	;
	;---
	db bdr,            vib,LEN+speed*2-7-2, Ai0, LEN+2, OFF
	db SET_ARP, $59,       LEN+speed*2,     F1
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*2-2,   Gi0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, Ai0, LEN+2, OFF
	db                 arp,LEN+speed*2,     F1
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*1,     Di1,F1
	;
	db bdr,            vib,LEN+speed*2-7-2, Ai0, LEN+2, OFF
	db                 arp,LEN+speed*2,     F1
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*1,     Di1,F1
	;
	db bdr,            vib,LEN+speed*2-7-2, Ai0, LEN+2, OFF
	db                 arp,LEN+speed*2,     F1
	db snr,                LEN+speed*2-7,   OFF
	db snr,                LEN+speed*1-7,   OFF
	db snr,                LEN+speed*1-7,   OFF
	;
	db END_MARK

pat_tr2_lead_1
	db $E7
	db LEN+speed*10,  F3,  LEN+speed*2, OFF
	db LEN+speed*2-4, Gi3, LEN+4, OFF
	db LEN+speed*2-4, F3,  LEN+4, OFF
	db LEN+speed*2-4, C4,  LEN+4, OFF
	db LEN+speed*10,  Ai3
	;
	db LEN+speed*2-4, Gi3, LEN+4, OFF
	db LEN+speed*2-4, Ai3, LEN+4, OFF
	db LEN+speed*2-4, C4,  LEN+speed*2+4, OFF
	db LEN+speed*2-4, Ai3, LEN+speed*2+4, OFF
	db LEN+speed*3,   Gi3
	db LEN+speed*3-4, Ai3, LEN+4, OFF
	db END_MARK
	;
pat_tr2_lead_1a
	db LEN+speed*4,   C4
	db LEN+speed*2-4, Gi3, LEN+4, OFF
	db LEN+speed*2-4, Di3, LEN+4, OFF
	db LEN+speed*10,  F3
	db END_MARK

pat_tr2_lead_1b
	db LEN+speed*6,   C4
	db LEN+speed*2-4, Di4, LEN+4, OFF
	db LEN+speed*10,  F4
	db END_MARK

pat_tr2_lead_groove_1
	db $E8
	db LEN+speed*2, C3, OFF, Ai2
	db LEN+speed*1, OFF
	db LEN+speed*2, Di3
	db LEN+speed*5, OFF
	db LEN+speed*1, Ai2, B2
	db LEN+speed*2-2, C3, LEN+2, OFF
	db LEN+speed*2-2, C3, LEN+2, OFF
	db LEN+speed*2, Ai2
	db LEN+speed*1, Gi2
	db LEN+speed*2, F2
	db LEN+speed*5, OFF
	; --
	db LEN+speed*2, Gi2,Ai2
	db LEN+speed*1, OFF
	db LEN+speed*2, Gi2
	db LEN+speed*1, OFF
	db LEN+speed*2, C3,OFF,Gi2,Ai2,Gi2,Ai2
	db LEN+speed*1, Gi2
	db LEN+speed*2, F2 
	db LEN+speed*3, OFF
	;
	db $E0
	db LEN+3, F1,F2,F3,    LEN+speed*2-9, OFF
	db LEN+3, Ai1,Ai2,Ai3, LEN+speed*2-9, OFF
	db LEN+3, D2,D3,D4,    LEN+speed*2-9, OFF
	db LEN+3, F2,F3,F4,    LEN+speed*2-9, OFF
	;
	db END_MARK

pat_tr2_lead_groove_2
	db vib
	db               LEN+speed*8,   F3,F3
	db               LEN+speed*6,   Gi3,Ai3
	db               LEN+speed*4,   C4
	db LEN+2,Ai3,B3, LEN+speed*4-4, C4
	db               LEN+speed*4,   Ai3,F3
	db               LEN+speed*2,   Di3
	db               LEN+speed*10,  D3
	;
	db               LEN+speed*4,   Di3,F3
	db LEN+2,Fi3,G3, LEN+speed*4-4, Gi3
	db               LEN+speed*2-4, F3, LEN+4, OFF
	db LEN+2,Fi3,G3, LEN+speed*4-4, Gi3
	db               LEN+speed*2-4, F3, LEN+4, OFF
	db LEN+2,Fi3,G3, LEN+speed*4-4, Gi3
	db               LEN+speed*2-4, F3, LEN+4, OFF
	db LEN+2,Fi3,G3, LEN+speed*4-4, Gi3
	db               LEN+speed*2-4, F3, LEN+4, OFF
	db LEN+2,Ai3,B3, LEN+speed*2-4, C4
	db               LEN+speed*2,   Di4,F4,C4,D4,Di4,D4
	db               LEN+speed*6,   Ai3
	db               LEN+speed*2,   Gi3,Ai3,OFF
	;
	db               LEN+speed*2-4, Ai2, LEN+4, OFF
	db               LEN+speed*2-4, B2,  LEN+4, OFF
	db               LEN+speed*2-4, C3,  LEN+4, OFF
	db               LEN+speed*2-4, Ai2, LEN+4, OFF
	db               LEN+speed*2-4, Gi2, LEN+4, OFF
	db               LEN+speed*2-4, F2,  LEN+4, OFF
	db               LEN+speed*2-4, Di2, LEN+4, OFF
	db END_MARK
;[eof]