	if MBOX=0
snare_data
	dw $2204
	dw $43F6
	dw $43C0
	dw $43A0
	dw $4380
	dw $4360
	dw $4351

bass_freq
	dw $1E5,$1A3,$159
	dw $106,$A9,$40
	dw 7
	endif
	
	if MBOX=1
Track3_hihat_freq
	else
hihat_freq
	endif
	db $FA,$F9

	if MBOX=1
Track3_voltab_lo
	else
voltab_lo
	endif
	db vol_tr3_race_start_1x & 255
	db vol_tr3_race_start_2x & 255
	db vol_tr3_race_start_out & 255
	db vol_tr3_1x & 255
	db vol_tr3_mid & 255

	if MBOX=1
Track3_voltab_hi
	else
voltab_hi
	endif
	db vol_tr3_race_start_1x >> 8
	db vol_tr3_race_start_2x >> 8
	db vol_tr3_race_start_out >> 8
	db vol_tr3_1x >> 8
	db vol_tr3_mid >> 8
	
VT_RS_1x	= $F0
VT_RS_2x	= $F1
VT_RS_out	= $F2
VT_1X		= $F3
VT_MID		= $F4

vol_tr3_race_start_1x
	db 8,8,7,7, 6,6,5,5, 4,4,3,3
	db $80
vol_tr3_race_start_2x
	db 8,8,7,7, 6,6,6,6, 5,5,5,5
	db $84
vol_tr3_race_start_out
	db 4,4,3,3,2,2,1,0
	db $87
	
vol_tr3_default
vol_tr3_1x
	db 8,8,7,7, 6,6,6
	db 5,5,5,5, 5,6,7
	db $80
vol_tr3_mid
	db 8,8,7,7, 6,6,6
	db 5,5,5,5, 5,6,6
	db 7,7,6,6, 5,5,5
	db 4,4,4,4, 4,5,6
	db $80

	if MBOX=0
Race_Start_Channel1
	dw pat_race_start_ch1
	dw 0
	
Race_Start_Channel2
	dw pat_race_start_ch2
	dw 0

pat_race_start_ch1
	db VT_RS_1x, vib, LEN+5*2,  C2, LEN+2, OFF
	db                LEN+6*2,  C2, OFF
	db                          C2, OFF
	db                          C2, OFF
	db                          C2
	db VT_RS_2x,      LEN+6*8,  Di2,F2
	db VT_RS_1x, $E8, LEN+6*2,  C2,Ai1,G1,C2,OFF,C2,OFF
	db                LEN+5*2,  C2, LEN+2, OFF
	db VT_RS_2x,      LEN+5*8,  C2
	db VT_RS_out,     LEN+1*8,  C2
	;
	db                LEN+128,  OFF,OFF,OFF,OFF
	;
	db END_MARK

pat_race_start_ch2
	db           vib, LEN+5*2,  G1, LEN+2, OFF
	db                LEN+6*2,  G1, OFF
	db                          G1, OFF
	db                          G1, OFF
	db                          G1
	db                LEN+6*8,  Ai1,C2
	db           $E8, LEN+6*2,  G1,F1,D1,G1,OFF,G1,OFF
	db                LEN+5*2,  G1, LEN+2, OFF
	db                LEN+6*8,  G1
	;
	db                LEN+128,  OFF,OFF,OFF,OFF
	;
	db END_MARK

Game_Over_Channel1
	dw pat_game_over_ch1
	dw 0

Game_Over_Channel2
	dw pat_game_over_ch2
	dw 0

pat_game_over_ch1
	db VT_RS_2x
pat_game_over_ch2
	db $E9
	db LEN+126
	db 10,9,8,7,6
	db 7,8,9
	db END_MARK
	endif

	if MBOX=1
Track3_Channel1
	else
Channel1
	endif
	dw pat_tr3_bass_intro_1,pat_tr3_bass_intro_1,pat_tr3_bass_intro_1,pat_tr3_bass_intro_1
	dw pat_tr3_bass_intro_1,pat_tr3_bass_intro_1,pat_tr3_bass_intro_1,pat_tr3_bass_intro_1
	dw pat_tr3_bass_intro_1,pat_tr3_bass_intro_1,pat_tr3_bass_intro_1,pat_tr3_bass_intro_1
	dw pat_tr3_bass_break_1a,pat_tr3_bass_break_1c,pat_tr3_bass_break_1b
	dw pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_1
	dw pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_1
	dw pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_1
	dw pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_2
	;
	dw pat_tr3_bass_mid_1,pat_tr3_bass_mid_2
	dw pat_tr3_bass_mid_1,pat_tr3_bass_mid_3
	dw pat_tr3_bass_mid_4,pat_tr3_bass_mid_5
	dw pat_tr3_bass_mid_4,pat_tr3_bass_mid_3
	dw pat_tr3_bass_mid_1,pat_tr3_bass_mid_2
	dw pat_tr3_bass_mid_1,pat_tr3_bass_mid_3
	dw pat_tr3_bass_mid_4,pat_tr3_bass_mid_5
	dw pat_tr3_bass_mid_4,pat_tr3_bass_mid_3
	;
	dw pat_tr3_bass_mid_1,pat_tr3_bass_mid_2
	dw pat_tr3_bass_mid_1,pat_tr3_bass_mid_3
	dw pat_tr3_bass_mid_4,pat_tr3_bass_mid_5
	dw pat_tr3_bass_mid_break
	;
	dw pat_tr3_bass_intro_1,pat_tr3_bass_intro_1,pat_tr3_bass_intro_1,pat_tr3_bass_intro_1
	dw pat_tr3_bass_intro_1,pat_tr3_bass_intro_1,pat_tr3_bass_intro_1,pat_tr3_bass_intro_1
	dw pat_tr3_bass_intro_1,pat_tr3_bass_intro_1,pat_tr3_bass_intro_1,pat_tr3_bass_intro_1
	dw pat_tr3_bass_break_1a,pat_tr3_bass_break_1c,pat_tr3_bass_break_1b
	dw pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_1
	dw pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_1
	dw pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_1
	dw pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_1,pat_tr3_bass_main_1
	;
	dw 0
	
	if MBOX=1
Track3_Channel2
	else
Channel2
	endif
	dw pat_tr3_chords_intro_1a,pat_tr3_chords_intro_1b
	dw pat_tr3_chords_intro_1a,pat_tr3_chords_intro_1b
	dw pat_tr3_chords_intro_1a,pat_tr3_chords_intro_1b
	dw pat_tr3_chords_break_1
	dw pat_tr3_lead_1,pat_tr3_lead_1a
	dw pat_tr3_lead_1,pat_tr3_lead_1b
	dw pat_tr3_lead_1,pat_tr3_lead_1a
	dw pat_tr3_lead_1,pat_tr3_lead_1b
	;
	dw pat_tr3_mid_lead
	dw pat_tr3_mid_lead_2
	;
	dw pat_tr3_chords_intro_2a,pat_tr3_chords_intro_1b
	dw pat_tr3_chords_intro_2a,pat_tr3_chords_intro_1b
	dw pat_tr3_chords_intro_2a,pat_tr3_chords_intro_1b
	dw pat_tr3_chords_break_1
	dw pat_tr3_lead_1,pat_tr3_lead_1a
	dw pat_tr3_lead_1,pat_tr3_lead_1b
	dw pat_tr3_lead_1,pat_tr3_lead_1a
	dw pat_tr3_lead_1,pat_tr3_lead_1b
	dw 0

LEN = $40

speed = 7

bdr = $E1
snr = $E2
hht = $E3
arp = $E4
vib = $E5

;pat_tr3_quiet
;	db $E0
;	db LEN+speed*8
;	db OFF,OFF,OFF,OFF
;	db OFF,OFF,OFF,OFF
;	db END_MARK
	
pat_tr3_bass_intro_1
	db bdr,            vib,LEN+speed*4-7,   C0
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*2,     C0
	db                 vib,LEN+speed*2-2,   C1, LEN+2, OFF
	db bdr,            vib,LEN+speed*2-7,   C0
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*2-2,   C1, LEN+2, OFF
	db END_MARK

pat_tr3_bass_break_1a
	db bdr,            vib,LEN+speed*4-7,   C1
	db END_MARK

pat_tr3_bass_break_1b
	db bdr,            vib,LEN+speed*4-7,   Ai0
	db snr,                LEN+speed*2-7,   OFF
	db snr,                LEN+speed*2-7,   OFF
pat_tr3_bass_break_1c
	db snr,                LEN+speed*2-7,   OFF
	db snr,                LEN+speed*2-7,   OFF
	db snr,                LEN+speed*2-7,   OFF
	db snr,                LEN+speed*2-7,   OFF
	db snr,                LEN+speed*2-7,   OFF
	db END_MARK

pat_tr3_bass_main_1
	db bdr,            vib,LEN+speed*2-7,   C0
	db                     LEN+speed*2,     C1
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*2,     C0
	db bdr,            vib,LEN+speed*2-7,   F0
	db                     LEN+speed*2-2,   G0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*2-2,   Ai0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*4-7,   C0 
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*2,     C0
	db bdr,            vib,LEN+speed*2-7,   Ai0
	db                     LEN+speed*2-2,   F0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*2-2,   G0, LEN+2, OFF
	db END_MARK
	
pat_tr3_bass_main_2
	db bdr,            vib,LEN+speed*2-7,   C0
	db                     LEN+speed*2,     C1
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*2,     C0
	db bdr,            vib,LEN+speed*2-7,   F0
	db                     LEN+speed*2-2,   G0, LEN+2, OFF
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*2-2,   Ai0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*4-7,   C0 
	db snr,                LEN+speed*2-7,   OFF
	db                 vib,LEN+speed*2,     C0
	db bdr,            vib,LEN+speed*2-7,   C0
	db                     LEN+speed*2-2,   C0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7,   D0
	db snr,            vib,LEN+speed*2-7-2, D0, LEN+2, OFF
	db END_MARK

pat_tr3_bass_mid_1
	db bdr,            vib,LEN+speed*2-7,   Di0
	db                     LEN+speed*2-2,   Di0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7-2, Di1, LEN+2, OFF
	db                     LEN+speed*2,     Di0
	db bdr,            vib,LEN+speed*2-7-2, Di0, LEN+2, OFF
	db                     LEN+speed*2-2,   Di0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7-2, Di1, LEN+2, OFF
	db                     LEN+speed*2-2,   Di0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7,   Di0
	db                     LEN+speed*2-2,   Di0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7,   Di0
	db                     LEN+speed*2-2,   Di0, LEN+2, OFF
	db bdr,            vib,LEN+speed*2-7-2, Di0, LEN+2, OFF
	db                     LEN+speed*2,     Di0
	db END_MARK

pat_tr3_bass_mid_2
	db snr,            vib,LEN+speed*2-7-2, Di1, LEN+2, OFF
	db                     LEN+speed*2-2,   Di0, LEN+2, OFF
	db END_MARK

pat_tr3_bass_mid_3
	db snr,            vib,LEN+speed*2-7-2, D1,  LEN+2, OFF
	db                     LEN+speed*2-2,   D0,  LEN+2, OFF
	db END_MARK
	
pat_tr3_bass_mid_4
	db bdr,            vib,LEN+speed*2-7,   C0
	db                     LEN+speed*2-2,   C0,  LEN+2, OFF
	db snr,            vib,LEN+speed*2-7-2, C1,  LEN+2, OFF
	db                     LEN+speed*2,     C0
	db bdr,            vib,LEN+speed*2-7-2, C0,  LEN+2, OFF
	db                     LEN+speed*2-2,   C0,  LEN+2, OFF
	db snr,            vib,LEN+speed*2-7-2, C1,  LEN+2, OFF
	db                     LEN+speed*2-2,   C0,  LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7,   C0
	db                     LEN+speed*2-2,   C0,  LEN+2, OFF
	db snr,            vib,LEN+speed*2-7,   C0
	db                     LEN+speed*2-2,   C0,  LEN+2, OFF
	db bdr,            vib,LEN+speed*2-7-2, C0,  LEN+2, OFF
	db                     LEN+speed*2,     C0
	db END_MARK

pat_tr3_bass_mid_5
	db snr,            vib,LEN+speed*2-7-2, C1,  LEN+2, OFF
	db                     LEN+speed*2-2,   C0,  LEN+2, OFF
	db END_MARK
	
pat_tr3_bass_mid_break
	db bdr,            vib,LEN+speed*2-7,   G0
	db snr,            vib,LEN+speed*4-7,   G1
	db bdr,            vib,LEN+speed*2-7,   Fi0
	db snr,            vib,LEN+speed*4-7,   Fi1
	db bdr,            vib,LEN+speed*2-7,   F0
	db snr,            vib,LEN+speed*4-7,   F1
	db bdr,            vib,LEN+speed*2-7,   E0
	db snr,            vib,LEN+speed*4-7,   E1
	db snr,            vib,LEN+speed*2-7,   Di0
	db snr,            vib,LEN+speed*2-7,   Di1
	db snr,            vib,LEN+speed*2-7,   D0
	db snr,            vib,LEN+speed*2-7,   D1
	db END_MARK

pat_tr3_mid_lead
	db VT_MID
	db $E8
	db LEN+speed*6-4, G3, LEN+4, OFF
	db LEN+speed*4, G3
	db LEN+speed*2, Di3, OFF
	db LEN+speed*6, C3
	;
	db SET_ARP, $38, LEN+speed*2-2, G1, LEN+2, OFF
	db SET_ARP, $37, LEN+speed*2-2, G1, LEN+2, OFF
	db               LEN+speed*2,   OFF
	db SET_ARP, $38, LEN+speed*2-2, G1, LEN+2, OFF
	;
	db $E8
	db LEN+speed*2, C3,Ai2
	db LEN+speed*8, C3,D3,Di3,F3
	;
	db LEN+speed*4-4, G3, LEN+4, OFF
	db LEN+speed*2-4, G3, LEN+4, OFF
	db LEN+speed*4, G3
	db LEN+speed*2, Di3, OFF
	db LEN+speed*6, C3
	;
	db SET_ARP, $58, LEN+speed*2-2, G1, LEN+2, OFF
	db SET_ARP, $57, LEN+speed*2-2, G1, LEN+2, OFF
	db               LEN+speed*2,   OFF
	db SET_ARP, $58, LEN+speed*2-2, G1, LEN+2, OFF
	;
	db $E8
	db LEN+speed*2, C3,Ai2
	db LEN+speed*8, C3,D3,Di3
	db LEN+speed*4, F3
	db LEN+speed*1, C3,D3,Di3,F3
	;
	; ---
	;
	db LEN+speed*4, G3,F3,Di3
	db LEN+speed*2, F3
	db LEN+speed*6, C3
	;
	db SET_ARP, $38, LEN+speed*2-2, G1, LEN+2, OFF
	db SET_ARP, $37, LEN+speed*2-2, G1, LEN+2, OFF
	db               LEN+speed*2,   OFF
	db SET_ARP, $38, LEN+speed*2-2, G1, LEN+2, OFF
	db LEN+speed*2, OFF
	;
	db $E8
	db LEN+speed*6, G3
	db LEN+speed*4, F3,Di3
	db LEN+speed*2, F3
	db LEN+speed*6, G3
	db LEN+speed*4, F3,Ai3,Gi3
	;
	db LEN+speed*6-4, G3, LEN+4, OFF
	db LEN+speed*4, G3
	db LEN+speed*2, Di3, OFF
	db LEN+speed*6, C3
	;
	db SET_ARP, $58, LEN+speed*2-2, G1, LEN+2, OFF
	db SET_ARP, $57, LEN+speed*2-2, G1, LEN+2, OFF
	db               LEN+speed*2,   OFF
	db SET_ARP, $58, LEN+speed*2-2, G1, LEN+2, OFF
	db LEN+speed*2, OFF
	;
	db $E8
	db LEN+speed*6, Di3
	db LEN+speed*2-4, Di3, LEN+4,OFF
	db LEN+speed*6, Di3
	db LEN+speed*4, D3,C3,Ai2,G2,Ai2
	;
	db END_MARK

pat_tr3_mid_lead_2
	db vib
	db LEN+speed*2, OFF
	db C2,D2,Di2,F2,G2,Gi2,Ai2,C3
	db Di2,F2,G2,Gi2,Ai2,C3,D3,Di3
	db G2,Gi2,Ai2,C3,D3,Di3,F3,G3
	db Ai2,C3,D3,Di3,F3,G3,Gi3,Ai3
	db C3,D3,Di3,F3,G3,Gi3,Ai3,C4
	db D3,Di3,F3,G3,F3,Ai3,Gi3
	;
	db $E8
	db LEN+speed*2, G2,  LEN+speed*4, G3
	db LEN+speed*2, Fi2, LEN+speed*4, Fi3
	db LEN+speed*2, F2,  LEN+speed*4, F3
	db LEN+speed*2, E2,  LEN+speed*4, E3
	db LEN+speed*2, Di2,Di3,D2,D3
	db END_MARK
	
pat_tr3_chords_intro_1a
	db SET_NOTE_ADD, 0
	db VT_1X,                   SET_ARP, $5A,      LEN+speed*9, C2
	db                                             LEN+speed*1, OFF
	db END_MARK

pat_tr3_chords_intro_2a
	db SET_NOTE_ADD, 2
	db VT_1X,                   SET_ARP, $5A,      LEN+speed*9, C2 
	db                                             LEN+speed*1, OFF
	db END_MARK

pat_tr3_chords_intro_1b
	db                                             LEN+speed*2-4, C2
	db                                             LEN+speed*2+4, OFF
	db                                             LEN+speed*4, C2
	;
	db $E0, LEN+1, Gi1,G1,Fi1,F1,E1,Di1,D1,Ci1,C1, LEN+5, OFF
	db      LEN+1, Gi1,G1,Fi1,F1,E1,D1,Ci1,C1,B0,  LEN+5, OFF
	db      LEN+1, F1,E1,Di1,D1,Ci1,C1,B0,Ai0,A0,  LEN+5, OFF
	db      LEN+1, F1,E1,Di1,D1,Ci1,C1,B0,Ai0,A0,  LEN+5, OFF
	db      LEN+1, Di1,D1,Ci1,C1,B0,Ai0,A0,Gi0,G0, LEN+5, OFF
	;
	db      LEN+1, C1,C2,C3
	db             B2,Ai2,A2,Gi2,G2,Fi2,F2,E2,Di2,D2,Ci2,C2
	db             Ai1,Gi1,Fi1,E1,D1,C1, LEN+7, OFF
	;
	db                                             LEN+speed*2, OFF
	db                                        arp, LEN+speed*2-4, C2
	db                                             LEN+speed*2+4, OFF
	db                                             LEN+speed*4, C2
	db                                             LEN+speed*8, OFF
	;
	db                          SET_ARP, $59,      LEN+speed*2-4, C2
	db                                             LEN+speed*2+4, OFF
	db                                             LEN+speed*4, C2
	db                                             LEN+speed*6, OFF
	db END_MARK

pat_tr3_chords_break_1
	db                          SET_ARP, $49,      LEN+speed*9, Di2
	db                                             LEN+speed*1, OFF
	db $E0, LEN+1, Gi1,G1,Fi1,F1,E1,D1,Ci1,C1,B0,  LEN+5, OFF
	db      LEN+1, F1,E1,Di1,D1,Ci1,C1,B0,Ai0,A0,  LEN+5, OFF
	db                          SET_ARP, $59,      LEN+speed*8, F2
	db $E0, LEN+1, Gi1,Fi1,E1,D1,C1, OFF, OFF
	db      LEN+1, Gi1,Fi1,E1,D1,C1, OFF, OFF
	db      LEN+1, F1,E1,Di1,D1,Ci1,C1,B0,Ai0,A0,  LEN+5, OFF
	db      LEN+1, Di1,D1,Ci1,C1,B0,Ai0,A0,Gi0,G0, LEN+5, OFF
	;
	db      LEN+2, C1,F2,C2,F2,C1,F2,C2,F2,C1,F2,C2,F2,OFF,OFF
	db END_MARK

pat_tr3_lead_1
	db $E8
	db LEN+speed*2, Di3,OFF,D3,OFF
	db LEN+speed*2, C3,Ai2,OFF,C3,OFF
	db LEN+speed*7, G2,OFF
	;
	db LEN+speed*8, OFF,OFF
	;
;	db $E0
;	db LEN+2,G4,C4,G3,C3,G2,C2,G1,C1, LEN+speed*4-16,OFF
;	db LEN+2,G4,C4,G3,C3,G2,C2,G1,C1, LEN+speed*4-16,OFF
;	db LEN+2,G4,C4,G3,C3,G2,C2,G1,C1, LEN+speed*4-16,OFF
;	db LEN+2,G4,C4,G3,C3,G2,C2,G1,C1, LEN+speed*4-16,OFF
	;
;	db $E0
;	db LEN+3,E3,Di3,D3,Ci3,C3, LEN+speed*3-15,OFF
;	db LEN+3,E3,Di3,D3,Ci3,C3, LEN+speed*3-15,OFF
;	db LEN+3,E3,Di3,D3,Ci3,C3, LEN+speed*3-15,OFF
;	db LEN+3,E3,Di3,D3,Ci3,C3, LEN+speed*3-15,OFF
;	db LEN+3,E3,Di3,D3,Ci3,C3, LEN+speed*4-15,OFF
	db END_MARK

pat_tr3_lead_1a
	db $E8
	db LEN+speed*2, F2,OFF,Di2,F2,OFF,Ai2,OFF
	db LEN+speed*4, G2
	db LEN+speed*2-4, C2, LEN+4, OFF
	db LEN+speed*2, C2,OFF,C2,OFF,Ai1,G1,OFF,F1,OFF
	db              Di1,Fi1,F1,Di1,C1,Di1,F1,G1,F1,G1,Ai1,C2,Ai1,C2,Di2,F2,Di2,F2,G2,C3,D3
	db END_MARK

pat_tr3_lead_1b
	db $E8
	db LEN+speed*2, D3,OFF,Di3,F3,OFF,G3,OFF
	db LEN+speed*8, C3
	db LEN+speed*10, OFF
	;
	db $E0
	db LEN+2,G4,C4,G3,C3,G2,C2,G1,C1, LEN+speed*4-16,OFF
	db LEN+2,G4,C4,G3,C3,G2,C2,G1,C1, LEN+speed*4-16,OFF
	db LEN+2,G4,C4,G3,C3,G2,C2,G1,C1, LEN+speed*4-16,OFF
	db LEN+2,G4,C4,G3,C3,G2,C2,G1,C1, LEN+speed*4-16,OFF
	;
	db $E0, LEN+1, Gi1,G1,Fi1,F1,E1,D1,Ci1,C1,B0,  LEN+5, OFF
	db      LEN+1, Gi1,G1,Fi1,F1,E1,D1,Ci1,C1,B0,  LEN+5, OFF
	db      LEN+speed*2,OFF
	db      LEN+1, F1,E1,Di1,D1,Ci1,C1,B0,Ai0,A0,  LEN+5, OFF
	db      LEN+speed*2,OFF
	db      LEN+1, F1,E1,Di1,D1,Ci1,C1,B0,Ai0,A0,  LEN+5, OFF
	db      LEN+speed*2,OFF
	db      LEN+1, F1,E1,Di1,D1,Ci1,C1,B0,Ai0,A0,  LEN+5, OFF
	db      LEN+1, Di1,D1,Ci1,C1,B0,Ai0,A0,Gi0,G0, LEN+5, OFF
	db      LEN+1, Di1,D1,Ci1,C1,B0,Ai0,A0,Gi0,G0, LEN+5, OFF
	db      LEN+1, Di1,D1,Ci1,C1,B0,Ai0,A0,Gi0,G0, LEN+5, OFF
	db      LEN+speed*2,OFF
	;
	db      LEN+1, C1,C2,C3
	db             B2,Ai2,A2,Gi2,G2,Fi2,F2,E2,Di2,D2,Ci2,C2
	db             Ai1,Gi1,Fi1,E1,D1,C1, LEN+7, OFF
	db      LEN+speed*4,OFF
	;
	db END_MARK
	
;[eof]