snare_data
	dw $2204
	dw $43F6
	dw $43C0
	dw $43A0
	dw $4380
	dw $4360
	dw $4351

	if MBOX=0
bass_freq
	dw $1E5,$1A3,$159
	dw $106,$A9,$40
	dw 7
	
hihat_freq
	db $FB,$FA
	endif
	
	if MBOX=1
Transmission_voltab_lo
	else
voltab_lo
	endif
	db vol_trn_1x & 255
	db vol_trn_2x & 255

	if MBOX=1
Transmission_voltab_hi
	else
voltab_hi
	endif
	db vol_trn_1x >> 8
	db vol_trn_2x >> 8

vol_trn_1x
	db 8,8,7,7,6,6,5,5,4,4
	db $80
vol_trn_2x
	db 8,8,7,7,6,6,6,6,5,5
	db 5,5,5,5,4,4,4,4,5,5
	db $80

	if MBOX=1
Transmission_Channel1
	else
Channel1
	endif
	dw pat_trn_bass_1
	dw pat_trn_bass_1
	dw pat_trn_bass_2
	dw pat_trn_bass_2
	dw pat_trn_bass_3,pat_trn_bass_3,pat_trn_bass_3,pat_trn_bass_3
	dw pat_trn_bass_4,pat_trn_bass_4,pat_trn_bass_4,pat_trn_bass_5
	;
	dw 0

	if MBOX=1
Transmission_Channel2
	else
Channel2
	endif
	dw pat_trn_chords_1
	dw pat_trn_chords_1
	dw pat_trn_chords_2
	dw pat_trn_chords_2
	dw pat_trn_lead_1
	;dw pat_trn_quiet
	;
	dw 0
	
LEN = $40

speed = 5

bdr = $E1
snr = $E2
hht = $E3
arp = $E4
vib = $E5

;pat_trn_quiet
;	db $E0
;	db LEN+speed*8
;	db OFF,OFF,OFF,OFF
;	db OFF,OFF,OFF,OFF
;	db END_MARK
	
pat_trn_bass_1
	db $F1, bdr, vib, LEN+speed*4-7, E0
	db $F0,           LEN+speed*2-2, E0, LEN+2, OFF
	db                LEN+speed*2-2, E0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, E1
	db                LEN+speed*2-2, E0, LEN+2, OFF
	db                LEN+speed*2-2, E0, LEN+2, OFF
	db $F1,           LEN+speed*2,   E0
	db      bdr, vib, LEN+speed*2-7, E0
	db $F0,           LEN+speed*2-2, D0, LEN+2, OFF
	db                LEN+speed*2-2, Di0,LEN+2, OFF
	db                LEN+speed*2-2, E0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, D1
	db                LEN+speed*2-2, E1, LEN+2, OFF
	db                LEN+speed*2-2, A0, LEN+2, OFF
	db                LEN+speed*2-2, G0, LEN+2, OFF
	;
	db $F1, bdr, vib, LEN+speed*4-7, E0
	db $F0,           LEN+speed*2-2, E0, LEN+2, OFF
	db                LEN+speed*2-2, E0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, E1
	db                LEN+speed*2-2, E0, LEN+2, OFF
	db                LEN+speed*2-2, E0, LEN+2, OFF
	db $F1,           LEN+speed*2,   E0
	db      bdr, vib, LEN+speed*2-7, E0
	db $F0,           LEN+speed*2-2, D1, LEN+2, OFF
	db                LEN+speed*2-2, Di1,LEN+2, OFF
	db                LEN+speed*2-2, E1, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, A1
	db                LEN+speed*2-2, G1, LEN+2, OFF
	db                LEN+speed*2-2, E1, LEN+2, OFF
	db                LEN+speed*2-2, D1, LEN+2, OFF
	;
	db $F1, bdr, vib, LEN+speed*4-7, E0
	db $F0,           LEN+speed*2-2, E0, LEN+2, OFF
	db                LEN+speed*2-2, E0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, E1
	db                LEN+speed*2-2, E0, LEN+2, OFF
	db                LEN+speed*2-2, E0, LEN+2, OFF
	db $F1,           LEN+speed*2,   E0
	db      bdr, vib, LEN+speed*2-7, E0
	db $F0,           LEN+speed*2-2, Ci1,LEN+2, OFF
	db                LEN+speed*2-2, D1, LEN+2, OFF
	db                LEN+speed*2-2, B0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, D1
	db                LEN+speed*2-2, Ci1,LEN+2, OFF
	db                LEN+speed*2-2, D1, LEN+2, OFF
	db                LEN+speed*2-2, E1, LEN+2, OFF
	;
	db $F1, bdr, vib, LEN+speed*4-7, E0
	db $F0,           LEN+speed*2-2, E0, LEN+2, OFF
	db                LEN+speed*2-2, E0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, E1
	db                LEN+speed*2-2, E0, LEN+2, OFF
	db                LEN+speed*2-2, E0, LEN+2, OFF
	db $F1,           LEN+speed*2,   E0
	db      bdr, vib, LEN+speed*2-7, E0
	db $F0,           LEN+speed*2-2, D1, LEN+2, OFF
	db                LEN+speed*2-2, E1, LEN+2, OFF
	db                LEN+speed*2-2, G1, LEN+2, OFF
	db $F1, snr
	db $E0, LEN+2, Ci1,C1,B0,Ai0,A0,Gi0,G0,Fi0,F0,E0,Di0,D0,Ci0,C0
	db LEN+speed*8-7-(2*14), OFF
	;
	db END_MARK

pat_trn_bass_2
	db $F1, bdr, vib, LEN+speed*4-7, G0
	db $F0,           LEN+speed*2-2, G0, LEN+2, OFF
	db                LEN+speed*2-2, G0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, G1
	db                LEN+speed*2-2, G0, LEN+2, OFF
	db                LEN+speed*2-2, G0, LEN+2, OFF
	db $F1,           LEN+speed*2,   G0
	db      bdr, vib, LEN+speed*2-7, G0
	db $F0,           LEN+speed*2-2, F0, LEN+2, OFF
	db                LEN+speed*2-2, Fi0,LEN+2, OFF
	db                LEN+speed*2-2, G0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, F1
	db                LEN+speed*2-2, G1, LEN+2, OFF
	db                LEN+speed*2-2, C1, LEN+2, OFF
	db                LEN+speed*2-2, Ai0,LEN+2, OFF
	;
	db $F1, bdr, vib, LEN+speed*4-7, G0
	db $F0,           LEN+speed*2-2, G0, LEN+2, OFF
	db                LEN+speed*2-2, G0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, G1
	db                LEN+speed*2-2, G0, LEN+2, OFF
	db                LEN+speed*2-2, G0, LEN+2, OFF
	db $F1,           LEN+speed*2,   G0
	db      bdr, vib, LEN+speed*2-7, G0
	db $F0,           LEN+speed*2-2, F1, LEN+2, OFF
	db                LEN+speed*2-2, Fi1,LEN+2, OFF
	db                LEN+speed*2-2, G1, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, C2
	db                LEN+speed*2-2, Ai1,LEN+2, OFF
	db                LEN+speed*2-2, G1, LEN+2, OFF
	db                LEN+speed*2-2, F1, LEN+2, OFF
	;
	db $F1, bdr, vib, LEN+speed*4-7, G0
	db $F0,           LEN+speed*2-2, G0, LEN+2, OFF
	db                LEN+speed*2-2, G0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, G1
	db                LEN+speed*2-2, G0, LEN+2, OFF
	db                LEN+speed*2-2, G0, LEN+2, OFF
	db $F1,           LEN+speed*2,   G0
	db      bdr, vib, LEN+speed*2-7, G0
	db $F0,           LEN+speed*2-2, E1, LEN+2, OFF
	db                LEN+speed*2-2, F1, LEN+2, OFF
	db                LEN+speed*2-2, D1, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, F1
	db                LEN+speed*2-2, E1, LEN+2, OFF
	db                LEN+speed*2-2, F1, LEN+2, OFF
	db                LEN+speed*2-2, G1, LEN+2, OFF
	;
	db $F1, bdr, vib, LEN+speed*4-7, G0
	db $F0,           LEN+speed*2-2, G0, LEN+2, OFF
	db                LEN+speed*2-2, G0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, G1
	db                LEN+speed*2-2, G0, LEN+2, OFF
	db                LEN+speed*2-2, G0, LEN+2, OFF
	db $F1,           LEN+speed*2,   G0
	db      bdr, vib, LEN+speed*2-7, G0
	db $F0,           LEN+speed*2-2, F1, LEN+2, OFF
	db                LEN+speed*2-2, G1, LEN+2, OFF
	db                LEN+speed*2-2, Ai1,LEN+2, OFF
	db $F1, snr
	db $E0, LEN+2, E1,Di1,D1,Ci1,C1,B0,Ai0,A0,Gi0,G0,Fi0,F0,E0,Di0,D0,Ci0
	db LEN+speed*8-7-(2*16), OFF
	;
	db END_MARK

pat_trn_bass_3
	db $F1, bdr, vib, LEN+speed*4-7, C0
	db $F0,           LEN+speed*2-2, C0, LEN+2, OFF
	db                LEN+speed*2-2, C0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, C1
	db                LEN+speed*2-2, C0, LEN+2, OFF
	db                LEN+speed*2-2, C0, LEN+2, OFF
	db $F1,           LEN+speed*2,   C0
	db      bdr, vib, LEN+speed*2-7, C0
	db $F0,           LEN+speed*2-2, C0, LEN+2, OFF
	db $F1,           LEN+speed*4-2, C0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, Ai0
	db                LEN+speed*2-2, C1, LEN+2, OFF
	db                LEN+speed*2-2, Ai0,LEN+2, OFF
	db                LEN+speed*2-2, C1, LEN+2, OFF
	db END_MARK

pat_trn_bass_4
	db $F1, bdr, vib, LEN+speed*4-7, D0
	db $F0,           LEN+speed*2-2, D0, LEN+2, OFF
	db                LEN+speed*2-2, D0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, D1
	db                LEN+speed*2-2, D0, LEN+2, OFF
	db                LEN+speed*2-2, D0, LEN+2, OFF
	db $F1,           LEN+speed*2,   D0
	db      bdr, vib, LEN+speed*2-7, D0
	db $F0,           LEN+speed*2-2, D0, LEN+2, OFF
	db $F1,           LEN+speed*4-2, D0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, C1 
	db                LEN+speed*2-2, D1, LEN+2, OFF
	db                LEN+speed*2-2, C1, LEN+2, OFF
	db                LEN+speed*2-2, D1, LEN+2, OFF
	db END_MARK

pat_trn_bass_5
	db $F1, bdr, vib, LEN+speed*4-7, B0
	db $F0,           LEN+speed*2,   OFF
	db                LEN+speed*2-2, B0, LEN+2, OFF
	db      snr, vib, LEN+speed*2-7, OFF
	db                LEN+speed*2-2, B0, LEN+2, OFF
	db $F1,           LEN+speed*4,   B0
	;
	db      bdr, vib, LEN+speed*4-7, D0
	db                LEN+speed*2,   D1
	db                               OFF
	db      snr, vib, LEN+speed*4-7, Di0
	db                LEN+speed*2,   Di1
	db                               OFF
	db END_MARK

pat_trn_chords_1
	db SET_ARP, $5A, arp, LEN+speed*16,  E2, E2, E2
	db                    LEN+speed*8,   E2
	db SET_ARP, $59,      LEN+speed*4-4, E2, LEN+4, OFF
	db SET_ARP, $47,      LEN+speed*4-4, E2, LEN+4, OFF
	db                    LEN+speed*4,   OFF
	db SET_ARP, $59,      LEN+speed*4-4, E3, LEN+4, OFF
	db                    LEN+speed*8,   OFF
	db                    LEN+speed*4-4, E3, LEN+4, OFF
	db                    LEN+speed*12,  OFF
	db                    LEN+speed*4-4, E3, LEN+4, OFF
	db                    LEN+speed*4-4, E3, LEN+4, OFF
	db                    LEN+speed*4,   OFF
	db                    LEN+speed*4-4, E3, LEN+4, OFF
	db                    LEN+speed*4,   OFF
	db                    LEN+speed*8-4, E3, LEN+4, OFF
	db                    LEN+speed*4,   OFF
	db END_MARK

pat_trn_chords_2
	db SET_ARP, $47, arp, LEN+speed*16,  G2, G2, G2
	db                    LEN+speed*8,   G2
	db SET_ARP, $57,      LEN+speed*4-4, G2, LEN+4, OFF
	db SET_ARP, $57,      LEN+speed*4-4, G2, LEN+4, OFF
	db                    LEN+speed*4,   OFF
	db SET_ARP, $5A,      LEN+speed*4-4, G3, LEN+4, OFF
	db                    LEN+speed*8,   OFF
	db                    LEN+speed*4-4, G3, LEN+4, OFF
	db                    LEN+speed*12,  OFF
	db                    LEN+speed*4-4, G3, LEN+4, OFF
	db                    LEN+speed*4-4, G3, LEN+4, OFF
	db                    LEN+speed*4,   OFF
	db                    LEN+speed*4-4, G3, LEN+4, OFF
	db                    LEN+speed*4,   OFF
	db                    LEN+speed*8-4, G3, LEN+4, OFF
	db                    LEN+speed*4,   OFF
	db END_MARK

pat_trn_lead_1
	db vib, LEN+speed*16, C3,C3,C3
	db                    G2
	db      LEN+speed*12, F2
	db      LEN+speed*18, E2,E2
	db      LEN+speed* 8, G2,C3
	db      LEN+speed*16, D3,D3
	db                    A2,G2
	db      LEN+speed*6,  Fi2
	db      LEN+speed*2,  F2
	db      LEN+speed*6,  Fi2
	db      LEN+speed*2,  F2
	db      LEN+speed*6,  Fi2
	db      LEN+speed*2,  F2
	db      LEN+speed*6,  Fi2
	db      LEN+speed*2,  F2
	;
	db $E0
	db LEN+1, A1,Gi1,G1,Fi1,F1,E1,D1,C1,Ai0,Gi0
	db LEN+speed*4, OFF
	db LEN+1, G1,Fi1,F1,E1,Di1,D1,Ci1,C1,Ai0,Gi0
	db LEN+speed*2, OFF
	db LEN+1, G1,Fi1,F1,E1,Di1,D1,Ci1,C1,Ai0,Gi0
	db LEN+1, G1,Fi1,F1,E1,Di1,D1,Ci1,C1,Ai0,Gi0
	db LEN+speed*2, OFF
	db LEN+1, F1,E1,Di1,D1,Ci1,C1,B0,Ai0,A0,Gi0
	db LEN+speed*2, OFF
	db LEN+1, F1,E1,Di1,D1,Ci1,C1,B0,Ai0,A0,Gi0
	db LEN+speed*2, OFF
	db LEN+1, F1,E1,Di1,D1,Ci1,C1,B0,Ai0,A0,Gi0
	db LEN+speed*2, OFF
	db LEN+1, E1,Di1,D1,Ci1,C1,B0,Ai0,A0,Gi0,G0
	db LEN+1, E1,Di1,D1,Ci1,C1,B0,Ai0,A0,Gi0,G0
	db END_MARK
;[eof]