snare_data
	db $99
	db $77
	db $44
	db $11

bass_freq
	dw $1E5,$159
	dw $A9,7
	
vol_default
	db 8,7,6,5,5,6
	db $80

Channel1
	dw pat_bass_a
	dw pat_bass_ef
	dw pat_bass_a
	dw pat_bass_fg
	;
	dw 0
	
Channel2
	dw pat_lead_1,pat_lead_2
	dw pat_lead_1,pat_lead_3
	dw pat_lead_1,pat_lead_2
	dw pat_lead_1,pat_lead_3
	dw pat_lead_out
	;
	dw 0

LEN = $40

speed = 6

bdr = $E1
snr = $E2
hht = $E3
vib = $E4

;pat_quiet
;	db VT_1x
;	db $E0
;	db LEN+speed*8
;	db OFF,OFF,OFF,OFF
;	db OFF,OFF,OFF,OFF
;	db END_MARK

pat_bass_a
	db bdr,            vib,LEN+speed*1-4-1, A0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, A0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, A0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, A0, LEN+1, OFF
	db snr,                LEN+speed*1-4,   OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, A0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, A0, LEN+1, OFF
	db bdr,            vib,LEN+speed*1-4-1, A0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, A0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, A0, LEN+1, OFF
	db bdr,            vib,LEN+speed*1-4-1, A0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, A0, LEN+1, OFF
	db snr,                LEN+speed*1-4,   OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, A0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, A0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, A0, LEN+1, OFF
	;
	db END_MARK

pat_bass_ef
	db bdr,            vib,LEN+speed*1-4-1, E0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, E0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, E0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, E0, LEN+1, OFF
	db snr,                LEN+speed*1-4,   OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, E0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, E0, LEN+1, OFF
	db bdr,            vib,LEN+speed*1-4-1, D0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, D0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, D0, LEN+1, OFF
	db bdr,            vib,LEN+speed*1-4-1, D0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, D0, LEN+1, OFF
	db snr,                LEN+speed*1-4,   OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, E0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, G0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, G0, LEN+1, OFF
	;
	db END_MARK

pat_bass_fg
	db bdr,            vib,LEN+speed*1-4-1, F0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, F0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, F0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, F0, LEN+1, OFF
	db snr,                LEN+speed*1-4,   OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, F0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, F0, LEN+1, OFF
	db bdr,            vib,LEN+speed*1-4-1, G0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, G0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, G0, LEN+1, OFF
	db bdr,            vib,LEN+speed*1-4-1, G0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, G0, LEN+1, OFF
	db snr,                LEN+speed*1-4,   OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, G0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, G0, LEN+1, OFF
	db hht,LEN+1,0,    vib,LEN+speed*1-1-1, G0, LEN+1, OFF
	;
	db END_MARK

pat_lead_1
	db vib
	db LEN+speed*1, A2,B2,C3
	db LEN+speed*5, E2,OFF
	db LEN+speed*1, A2,B2
	db LEN+speed*1-2, C3, LEN+2,OFF
	db END_MARK

pat_lead_2
	db LEN+speed*2, B2
	db LEN+speed*1, G2
	db LEN+speed*2, E2
	db LEN+speed*1, OFF
	db LEN+speed*3, A2, D2
	db LEN+speed*2, A2, D3
	;
	db END_MARK

pat_lead_3
	db LEN+speed*2, C3,B2,A2
	db LEN+speed*1, F2
	db LEN+speed*2, D3,C3,B2
	db LEN+speed*1, G2,A2,B2
	;
	db END_MARK

pat_lead_out
	db vib
	db LEN+speed*2, A2
	db $E0
	db LEN+1
	db G2,F2,E2,D2,C2,B1
	db A1,G1,F1,E1,D1,C1
	db LEN+speed*4, OFF,OFF,OFF
	db LEN+speed*8
	db OFF,OFF
	db OFF,OFF
	db OFF,OFF
	db END_MARK

;[eof]