	if MBOX=0
snare_data
	dw $2204
	dw $43F6
	dw $43C0
	dw $43A0
	dw $4380
	dw $4360
	dw $4351

bass_freq
	dw $1E5,$1A3,$159
	dw $106,$A9,$40
	dw 7
	
hihat_freq
	db $FB,$FA
	endif

	if MBOX=1	
Congrats_voltab_lo
	else
voltab_lo
	endif
	db vol_con_1x & 255
	db vol_con_2x & 255
	db vol_con_4x & 255
	
	if MBOX=1
Congrats_voltab_hi
	else
voltab_hi
	endif
	db vol_con_1x >> 8
	db vol_con_2x >> 8
	db vol_con_4x >> 8
	
VT_CON_1x		= $F0
VT_CON_2x		= $F1
VT_CON_4x		= $F2
	
vol_con_1x
	db 8,8,7,7, 6,6,6,6, 5,5
	db 5,5,4,4, 4,4,3,3, 3,3
	db $80
vol_con_2x
	db 8,8,7,7, 6,6,6,6, 5,5
	db 5,5,5,5, 5,5,5,5, 6,6
	db 7,7,6,6, 6,6,6,6, 5,5
	db 5,5,4,4, 4,4,3,3, 3,3
	db $80
vol_con_4x
	db 8,8,7,7, 6,6,6,6, 5,5
	db 5,5,5,5, 5,5,5,5, 6,7
	db $80

	if MBOX=1
Congrats_Channel1
	else
Channel1
	endif
	dw pat_con_bass_e,pat_con_bass_e
	dw pat_con_bass_di,pat_con_bass_di
	dw pat_con_bass_d,pat_con_bass_d
	dw pat_con_bass_ci,pat_con_bass_ci
	dw pat_con_bass_c,pat_con_bass_c
	dw pat_con_bass_b,pat_con_bass_b
	dw pat_con_bass_ai,pat_con_bass_ai
	dw pat_con_bass_b,pat_con_bass_b
	;
	dw pat_con_bass_e,pat_con_bass_e
	dw pat_con_bass_di,pat_con_bass_di
	dw pat_con_bass_d,pat_con_bass_d
	dw pat_con_bass_ci,pat_con_bass_ci
	dw pat_con_bass_c,pat_con_bass_c
	dw pat_con_bass_b,pat_con_bass_b
	dw pat_con_bass_ai,pat_con_bass_ai
	dw pat_con_bass_b,pat_con_bass_b
	;
	dw pat_con_bass_a,pat_con_bass_a
	dw pat_con_bass_b,pat_con_bass_b
	dw pat_con_bass_e,pat_con_bass_e
	dw pat_con_bass_ci,pat_con_bass_ci
	;
	dw pat_con_bass_a,pat_con_bass_a
	dw pat_con_bass_b,pat_con_bass_b
	dw pat_con_bass_e,pat_con_bass_e
	dw pat_con_bass_coda
	;
	dw 0

	if MBOX=1	
Congrats_Channel2
	else
Channel2
	endif
	dw pat_con_chords_1,pat_con_chords_1a
	dw pat_con_chords_1,pat_con_chords_1b
	dw pat_con_chords_2
	;dw pat_con_quiet
	;
	dw 0
	
LEN = $40

speed = 10

bdr = $E1
snr = $E2
hht = $E3
arp = $E4
vib = $E5

;pat_con_quiet
;	db $E0
;	db LEN+speed*8
;	db OFF,OFF,OFF,OFF
;	db OFF,OFF,OFF,OFF
;	db END_MARK
	
pat_con_bass_e
	db bdr,  vib, LEN+speed*2-9, E1, LEN+2, OFF
	db            LEN+speed*2-2, E1, LEN+2, OFF
	db snr,       LEN+speed*2-7,            OFF
	db       vib, LEN+speed*2-2, E1, LEN+2, OFF
	db END_MARK

pat_con_bass_di
	db bdr,  vib, LEN+speed*2-9, Di1, LEN+2, OFF
	db            LEN+speed*2-2, Di1, LEN+2, OFF
	db snr,       LEN+speed*2-7,             OFF
	db       vib, LEN+speed*2-2, Di1, LEN+2, OFF
	db END_MARK

pat_con_bass_d
	db bdr,  vib, LEN+speed*2-9, D1, LEN+2, OFF
	db            LEN+speed*2-2, D1, LEN+2, OFF
	db snr,       LEN+speed*2-7,            OFF
	db       vib, LEN+speed*2-2, D1, LEN+2, OFF
	db END_MARK

pat_con_bass_ci
	db bdr,  vib, LEN+speed*2-9, Ci1, LEN+2, OFF
	db            LEN+speed*2-2, Ci1, LEN+2, OFF
	db snr,       LEN+speed*2-7,             OFF
	db       vib, LEN+speed*2-2, Ci1, LEN+2, OFF
	db END_MARK

pat_con_bass_c
	db bdr,  vib, LEN+speed*2-9, C1, LEN+2, OFF
	db            LEN+speed*2-2, C1, LEN+2, OFF
	db snr,       LEN+speed*2-7,            OFF
	db       vib, LEN+speed*2-2, C1, LEN+2, OFF
	db END_MARK

pat_con_bass_b
	db bdr,  vib, LEN+speed*2-9, B0, LEN+2, OFF
	db            LEN+speed*2-2, B0, LEN+2, OFF
	db snr,       LEN+speed*2-7,            OFF
	db       vib, LEN+speed*2-2, B0, LEN+2, OFF
	db END_MARK

pat_con_bass_ai
	db bdr,  vib, LEN+speed*2-9, Ai0, LEN+2, OFF
	db            LEN+speed*2-2, Ai0, LEN+2, OFF
	db snr,       LEN+speed*2-7,             OFF
	db       vib, LEN+speed*2-2, Ai0, LEN+2, OFF
	db END_MARK

pat_con_bass_a
	db bdr,  vib, LEN+speed*2-9, A0, LEN+2, OFF
	db            LEN+speed*2-2, A0, LEN+2, OFF
	db snr,       LEN+speed*2-7,            OFF
	db       vib, LEN+speed*2-2, A0, LEN+2, OFF
	db END_MARK

pat_con_bass_coda
	db       vib, LEN+speed*8-2, E1,  LEN+2, OFF
	db            LEN+speed*4-2, Gi1, LEN+2, OFF
	db            LEN+speed*4-2, Fi1, LEN+2, OFF
	db END_MARK

pat_con_chords_1
	db VT_CON_4x
	db SET_ARP, $59,      LEN+speed*10-4, B2, LEN+4, OFF
	db VT_CON_1x
	db                    LEN+speed*2-4,  B2, LEN+4, OFF
	db                    LEN+speed*2-4,  B2, LEN+4, OFF
	db SET_ARP, $5A,      LEN+speed*2-4,  B2, LEN+4, OFF
	;
	db VT_CON_4x
	db SET_ARP, $49,      LEN+speed*10-4, B2, LEN+4, OFF
	db VT_CON_1x
	db                    LEN+speed*2-4,  B2, LEN+4, OFF
	db                    LEN+speed*2-4,  B2, LEN+4, OFF
	db SET_ARP, $4A,      LEN+speed*2-4,  B2, LEN+4, OFF
	;
	db VT_CON_4x
	db SET_ARP, $39,      LEN+speed*8-4,  B2, LEN+4, OFF
	db SET_ARP, $49,      LEN+speed*8-4,  D3, LEN+4, OFF
	db                    LEN+speed*16-4, E3, LEN+4, OFF
	;
	; ---
	;
	db VT_CON_4x
	db SET_ARP, $38,      LEN+speed*10-4, E3, LEN+4, OFF
	db VT_CON_1x
	db                    LEN+speed*2-4,  E2, LEN+4, OFF
	db SET_ARP, $59,      LEN+speed*2-4,  G2, LEN+4, OFF
	db SET_ARP, $38,      LEN+speed*2-4,  E3, LEN+4, OFF
	;
	db VT_CON_2x
	db SET_ARP, $47,      LEN+speed*4-4,  E3, LEN+4, OFF
	db SET_ARP, $5A,      LEN+speed*4-4,  B2, LEN+4, OFF
	db SET_ARP, $59,      LEN+speed*4-4,  B2, LEN+4, OFF
	db SET_ARP, $5A,      LEN+speed*4-4,  B2, LEN+4, OFF
	;
	; ---
	; 
	db VT_CON_4x
	db SET_ARP, $38,      LEN+speed*10-4, Ai2,LEN+4, OFF
	db VT_CON_1x
	db SET_ARP, $59,      LEN+speed*2-4,  Ci3,LEN+4, OFF
	db SET_ARP, $47,      LEN+speed*2-4,  Fi3,LEN+4, OFF
	db SET_ARP, $38,      LEN+speed*2-4,  Ai3,LEN+4, OFF
	;
	db VT_CON_4x
	db SET_ARP, $5A,      LEN+speed*6-4,  Fi3,LEN+4, OFF
	db END_MARK

pat_con_chords_1a
	db VT_CON_2x
	db SET_ARP, $59,      LEN+speed*4-4,  Fi3,LEN+4, OFF
	db VT_CON_1x
	db SET_ARP, $38,      LEN+speed*2-4,  Di3,LEN+4, OFF
	db                    LEN+speed*2-4,  Di3,LEN+4, OFF
	db SET_ARP, $36,      LEN+speed*2-4,  Di3,LEN+4, OFF
	;
	db END_MARK

pat_con_chords_1b
	db SET_ARP, $59,      LEN+speed*6-4,  Fi2,LEN+4, OFF
	db VT_CON_2x
	db                    LEN+speed*4-4,  F2, LEN+4, OFF
	;
	db END_MARK

pat_con_chords_2
	db VT_CON_4x
	db SET_ARP, $59,      LEN+speed*8-4,  E2,  LEN+4, OFF
	db SET_ARP, $38,      LEN+speed*8-4,  Ci3, LEN+4, OFF
	;
	db VT_CON_2x
	db SET_ARP, $49,      LEN+speed*4-4,  B2,  LEN+4, OFF
	db SET_ARP, $47,      LEN+speed*4-4,  B2,  LEN+4, OFF
	db SET_ARP, $5A,      LEN+speed*4-4,  Fi2, LEN+4, OFF
	db SET_ARP, $59,      LEN+speed*4-4,  Fi2, LEN+4, OFF
	;
	db VT_CON_4x
	db SET_ARP, $38,      LEN+speed*8-4,  Gi2, LEN+4, OFF
	db SET_ARP, $47,      LEN+speed*8-4,  E3,  LEN+4, OFF
	;
	db VT_CON_2x                                                    
	db SET_ARP, $4A,      LEN+speed*4-4,  E3,  LEN+4, OFF
	db SET_ARP, $49,      LEN+speed*4-4,  E3,  LEN+4, OFF
	db SET_ARP, $47,      LEN+speed*4-4,  E3,  LEN+4, OFF
	db SET_ARP, $37,      LEN+speed*4-4,  Ci3, LEN+4, OFF
	;
	db VT_CON_4x
	db SET_ARP, $38,      LEN+speed*8-4,  Ci3, LEN+4, OFF
	db SET_ARP, $47,      LEN+speed*8-4,  A3,  LEN+4, OFF
	db SET_ARP, $59,      LEN+speed*8-4,  Fi3, LEN+4, OFF
	db SET_ARP, $47,      LEN+speed*8-4,  B3,  LEN+4, OFF
	db SET_ARP, $38,      LEN+speed*16-4, Gi3, LEN+4, OFF
	; 
	; --- lead back
	;
	db                    LEN+speed*8,                OFF
	db VT_CON_2x
	db SET_ARP, $47,      LEN+speed*4-4,  E3,  LEN+4, OFF
	db SET_ARP, $5A,      LEN+speed*4-4,  B2,  LEN+4, OFF
	db END_MARK
;[eof]