	if MBOX=1
Track4_snare_data
	else
snare_data
	endif
	dw $2204
	dw $43F5
	dw $43D4
	dw $43B3
	dw $4392
	dw $4371
	dw $4350

	if MBOX=0
bass_freq
	dw $1E5,$1A3,$159
	dw $106,$A9,$40
	dw 7
	
hihat_freq
	db $FB,$FA
	endif

	if MBOX=1	
Track4_voltab_lo
	else
voltab_lo
	endif
	db vol_tr4_race_start_1x & 255
	db vol_tr4_race_start_2x & 255
	db vol_tr4_race_start_out & 255
	db vol_tr4_1x & 255
	db vol_tr4_weird & 255
	
	if MBOX=1
Track4_voltab_hi
	else
voltab_hi
	endif
	db vol_tr4_race_start_1x >> 8
	db vol_tr4_race_start_2x >> 8
	db vol_tr4_race_start_out >> 8
	db vol_tr4_1x >> 8
	db vol_tr4_weird >> 8
	
VT_RS_1x	= $F0
VT_RS_2x	= $F1
VT_RS_out	= $F2
VT_1x		= $F3
VT_weird	= $F4

vol_tr4_race_start_1x
	db 8,8,7,7, 6,6,5,5, 4,4,3,3
	db $80
vol_tr4_race_start_2x
	db 8,8,7,7, 6,6,6,6, 5,5,5,5
	db $84
vol_tr4_race_start_out
	db 4,4,3,3,2,2,1,0
	db $87

vol_tr4_1x
	db 8,8,8, 8,7,7, 7,7,6
	db 6,6,6, 5,5,5, 5,6,7
	db $80

vol_tr4_weird
	db 3,3,3, 4,4,4, 5,5,5
	db 6,6,6, 5,5,5, 4,4,4
	db $80

LEN = $40

speed = 9

bdr = $E1
snr = $E2
hht = $E3
arp = $E4
vib = $E5

	if MBOX=0
Race_Start_Channel1
	dw pat_race_start_ch1
	dw 0
	
Race_Start_Channel2
	dw pat_race_start_ch2
	dw 0

pat_race_start_ch1
	db VT_RS_1x, vib, LEN+5*2,  C2, LEN+2, OFF
	db                LEN+6*2,  C2, OFF
	db                          C2, OFF
	db                          C2, OFF
	db                          C2
	db VT_RS_2x,      LEN+6*8,  Di2,F2
	db VT_RS_1x, $E8, LEN+6*2,  C2,Ai1,G1,C2,OFF,C2,OFF
	db                LEN+5*2,  C2, LEN+2, OFF
	db VT_RS_2x,      LEN+5*8,  C2
	db VT_RS_out,     LEN+1*8,  C2
	;
	db                LEN+128,  OFF,OFF,OFF,OFF
	;
	db END_MARK

pat_race_start_ch2
	db           vib, LEN+5*2,  G1, LEN+2, OFF
	db                LEN+6*2,  G1, OFF
	db                          G1, OFF
	db                          G1, OFF
	db                          G1
	db                LEN+6*8,  Ai1,C2
	db           $E8, LEN+6*2,  G1,F1,D1,G1,OFF,G1,OFF
	db                LEN+5*2,  G1, LEN+2, OFF
	db                LEN+6*8,  G1
	;
	db                LEN+128,  OFF,OFF,OFF,OFF
	;
	db END_MARK

Game_Over_Channel1
	dw pat_game_over_ch1
	dw 0

Game_Over_Channel2
	dw pat_game_over_ch2
	dw 0

pat_game_over_ch1
	db VT_RS_2x
pat_game_over_ch2
	db $E9
	db LEN+126
	db 10,9,8,7,6
	db 7,8,9
	db END_MARK
	endif

	if MBOX=1
Track4_Channel1
	else
Channel1
	endif
	dw pat_tr4_bass_1,pat_tr4_bass_1
	dw pat_tr4_bass_1,pat_tr4_bass_1
	dw pat_tr4_bass_1,pat_tr4_bass_1
	dw pat_tr4_bass_1
	dw pat_tr4_bass_1 
	;
	dw pat_tr4_bass_chorus,pat_tr4_bass_chorus_1
	dw pat_tr4_bass_chorus,pat_tr4_bass_chorus_fill
	dw pat_tr4_bass_chorus,pat_tr4_bass_chorus_1
	dw pat_tr4_bass_chorus,pat_tr4_bass_chorus_fill
	;
	dw pat_tr4_bass_1,pat_tr4_bass_1
	dw pat_tr4_bass_1,pat_tr4_bass_1
	dw pat_tr4_bass_1,pat_tr4_bass_1
	dw pat_tr4_bass_1
	dw pat_tr4_bass_1
	;
	dw pat_tr4_bass_chorus,pat_tr4_bass_chorus_1
	dw pat_tr4_bass_chorus,pat_tr4_bass_chorus_fill
	dw pat_tr4_bass_chorus,pat_tr4_bass_chorus_1
	dw pat_tr4_bass_chorus,pat_tr4_bass_chorus_fill
	;
	dw pat_tr4_bass_chorus,pat_tr4_bass_chorus_1
	dw pat_tr4_bass_chorus,pat_tr4_bass_chorus_fill
	dw pat_tr4_bass_chorus,pat_tr4_bass_chorus_1
	dw pat_tr4_bass_chorus,pat_tr4_bass_chorus_fill
	;
	dw 0
	
	if MBOX=1
Track4_Channel2
	else
Channel2
	endif
	dw pat_tr4_chords_1a,pat_tr4_chords_1b,pat_tr4_chords_1d
	dw pat_tr4_chords_1a,pat_tr4_chords_1c,pat_tr4_chords_1d
	dw pat_tr4_lead_1
	dw pat_tr4_solo_1
	dw pat_tr4_solo_2
	;
	dw pat_tr4_chorus_main,pat_tr4_chorus_a
	dw pat_tr4_chorus_main,pat_tr4_chorus_b
	dw pat_tr4_chorus_main,pat_tr4_chorus_c
	dw pat_tr4_chorus_main,pat_tr4_chorus_d1,pat_tr4_chorus_d2
	;
	dw pat_tr4_chords_1a,pat_tr4_chords_1b,pat_tr4_chords_1d
	dw pat_tr4_chords_1a,pat_tr4_chords_1c,pat_tr4_chords_1d
	dw pat_tr4_lead_1
	dw pat_tr4_solo_1
	dw pat_tr4_solo_2
	;
	dw pat_tr4_chorus_main,pat_tr4_chorus_a
	dw pat_tr4_chorus_main,pat_tr4_chorus_b
	dw pat_tr4_chorus_main,pat_tr4_chorus_c
	dw pat_tr4_chorus_main,pat_tr4_chorus_d1,pat_tr4_chorus_d2
	;
	dw pat_tr4_chorus_hi_main,pat_tr4_chorus_hi_a
	dw pat_tr4_chorus_hi_main,pat_tr4_chorus_hi_b
	dw pat_tr4_chorus_hi_main,pat_tr4_chorus_hi_c
	dw pat_tr4_chorus_hi_main,pat_tr4_chorus_hi_d1,pat_tr4_chorus_d2
	;
	dw 0

;pat_tr4_quiet
;	db VT_1x
;	db $E0
;	db LEN+speed*8
;	db OFF,OFF,OFF,OFF
;	db OFF,OFF,OFF,OFF
;	db END_MARK

pat_tr4_bass_1
	db bdr,            vib,LEN+speed*2-7-2, D0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, D1, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, D0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, D1, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, D0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*1-2,   A0
	db                     LEN+speed*1,     B0
	;
	db bdr,            vib,LEN+speed*2-7-2, D1, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, D0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, D1, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, D0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, D1, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, Ci1,LEN+2, OFF
	; ---
	db bdr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C1, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, C1, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*1-2,   G0
	db                     LEN+speed*1,     A0
	;
	db bdr,            vib,LEN+speed*2-7-2, C1, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C1, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, B0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7,   OFF
	db hht,LEN+2,0,    vib,LEN+speed*2-2-2, C1, LEN+2, OFF
	db END_MARK

pat_tr4_bass_chorus
	db bdr,            vib,LEN+speed*4-7-2, G0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7-2, G0, LEN+2, OFF
	db                 vib,LEN+speed*2-2,   G0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, G0, LEN+2, OFF
	db bdr,            vib,LEN+speed*2-7-2, G0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7-2, G0, LEN+2, OFF
	db                 vib,LEN+speed*2,     D0
	;
	db bdr,            vib,LEN+speed*2-7-2, D0, LEN+2, OFF
	db                 vib,LEN+speed*2-2,   D0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7-2, D0, LEN+2, OFF
	db                 vib,LEN+speed*2-2,   D0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, D0, LEN+2, OFF
	db bdr,            vib,LEN+speed*2-7-2, D0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7-2, D0, LEN+2, OFF
	db                 vib,LEN+speed*2,     C0
	;
	db bdr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db                 vib,LEN+speed*2-2,   C0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db                 vib,LEN+speed*2-2,   C0, LEN+2, OFF
	;
	db bdr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db bdr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db                 vib,LEN+speed*2,     C0
	;
	db bdr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db                 vib,LEN+speed*2-2,   C0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db                 vib,LEN+speed*2-2,   C0, LEN+2, OFF
	;
	db END_MARK

pat_tr4_bass_chorus_1
	db bdr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db bdr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7-2, D0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	;
	db END_MARK

pat_tr4_bass_chorus_fill
	db bdr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db snr,            vib,LEN+speed*2-7-2, C0, LEN+2, OFF
	db snr,            vib,LEN+speed*1-7,   D0
	db bdr,            vib,LEN+speed*1-7,   D0
	db snr,            vib,LEN+speed*1-7,   C0
	db snr,            vib,LEN+speed*1-7,   C0
	;
	db END_MARK

pat_tr4_chords_1a
	db VT_1x, SET_ARP, $59,      LEN+speed*10, A1,A1
	db                           LEN+speed*4,  OFF
	db        SET_ARP, $38,                    Fi1
	db                           LEN+speed*2,  OFF
	db        SET_ARP, $59,                    G1
	db VT_weird,            vib,               C0
	db VT_1x, SET_ARP, $5B, arp,               G1
	db        SET_ARP, $59,      LEN+speed*8,  G1 
	db                           LEN+speed*4,  OFF
	db END_MARK
	;
pat_tr4_chords_1b
	db $E0,   LEN+3, C1,G1,C2, LEN+speed*1, OFF
	db        LEN+3, C1,G1,C2, LEN+speed*3, OFF
	db        LEN+3, C1,G1,B1, LEN+speed*3, OFF
	db        LEN+3, C1,G1,C2, LEN+speed*1, OFF
	db END_MARK
	;
pat_tr4_chords_1c
	db $E0,   LEN+3, C2,G2,C3, LEN+speed*1, OFF
	db        LEN+3, C2,G2,C3, LEN+speed*3, OFF
	db        LEN+3, C2,G2,B2, LEN+speed*3, OFF
	db        LEN+3, C2,G2,C3, LEN+speed*1, OFF
	db END_MARK
	;
pat_tr4_chords_1d
	db VT_1x, SET_ARP, $38, arp, LEN+speed*2,  Fi1
	db        SET_ARP, $59,                    G1
	;
	;--
	db VT_1x, SET_ARP, $59, arp, LEN+speed*6,  A1,A1
	db                           LEN+speed*4,  OFF
	db        SET_ARP, $47,      LEN+speed*6,  D2
	db                           LEN+speed*2,  OFF
	db        SET_ARP, $38,      LEN+speed*4,  Fi2
	db                           LEN+speed*2,  OFF
	db        SET_ARP, $3A,                    E2
	db VT_weird,            vib,               C0
	db VT_1x, SET_ARP, $59, arp,               G2
	db        SET_ARP, $38,      LEN+speed*8,  E2,E2 
pat_tr4_chorus_d2
	db                           LEN+speed*2,  OFF
	;
	db $E0
	db LEN+1, A1,Gi1,G1,Fi1,F1,E1,Di1,D1,  LEN+speed*2-8, OFF
	db LEN+1, A1,Gi1,Fi1,E1,Di1,Ci1,       LEN+speed*1-6, OFF
	db LEN+1, A1,Gi1,Fi1,E1,Di1,Ci1,       LEN+speed*1-6, OFF
	db LEN+1, Fi1,F1,E1,Di1,D1,Ci1,C1,B0,  LEN+speed*2-8, OFF
	db LEN+1, Fi1,F1,E1,Di1,Ci1,C1,B0,Ai0, LEN+speed*2-8, OFF
	db LEN+1, Di1,D1,Ci1,C1,B0,Ai0,A0,Gi0,G0,Fi0,F0,  LEN+speed*2-11, OFF
	;
	db END_MARK

pat_tr4_lead_1
	db $E8
	db LEN+speed*2,  E2,D2,A1
	db               E2,D2,A1
	db               E2,D2,A1
	db               E2,D2,A1
	db               E2,D2,A1
	db               E2
	;
	db               Fi2
	db               OFF
	db               A2,Fi2
	db               OFF
	db               D2
	db               OFF
	db LEN+speed*12, E2
	db LEN+speed*2,  OFF
	db               D2,OFF
	db LEN+speed*6,  B1
	db LEN+speed*12, A1
	db LEN+speed*4,  OFF
	;
	db LEN+speed*1,  G1,Fi1
	db LEN+speed*2,  G1,Fi1,E1
	db LEN+speed*2-2,D1, LEN+2,OFF
	db LEN+speed*4,  D1
	db LEN+speed*2,  Fi1,E1,OFF,D1,OFF
	db LEN+speed*4,  E1
	db LEN+speed*2,  Fi1,G1,A1,B1,A1,D2,E2
	db END_MARK

pat_tr4_solo_1
	db $E8
	db LEN+speed
	db Fi2,E2,D2,A1
	db Fi2,E2,D2,A1
	db Fi2,E2,D2,A1
	db Fi2,E2,D2,A1
	;
	db G2,E2,D2,A1
	db Fi2,E2,D2,A1
	db E2,D2,A1,Fi1
	db D2,A1,Fi1,D1
	;
	db E2,D2,C2,G1
	db Fi2,D2,C2,G1
	db E2,D2,C2,G1
	db D2,C2,G1,E1
	db LEN+speed*3,E2
	db LEN+speed*1,OFF
	db END_MARK

pat_tr4_solo_2
	db $E8
	db LEN+speed*2
	db Fi2,G2,OFF,Fi2,E2,C2
	db LEN+speed
	db D2,A1,Fi1,D1
	db A1,Fi1,D1,A0
	db D2,A1,Fi1,D1
	db E2,D2,A1,Fi1
	db Fi2,E2,D2,A1
	db E2,D2,A1,Fi1
	db D2,A1,Fi1,D1
	db Fi2,E2,D2,A1
	; --
	db $E8, LEN+speed*2, G2
	db $E0, LEN+1, A1,Gi1,G1,Fi1,F1,E1,Di1,D1,  LEN+speed*2-8, OFF
	db $E8, LEN+speed*2, Fi2,E2
	db LEN+1, Fi1,F1,E1,Di1,D1,Ci1,C1,B0,  LEN+speed*2-8, OFF
	db $E8, LEN+speed*2, D2
	db LEN+1, Di1,D1,Ci1,C1,B0,Ai0,A0,Gi0,G0,Fi0,F0,  LEN+speed*2-11, OFF
	db $E8, LEN+speed*4, E2
	;
	db $E0, LEN+1, A1,Gi1,G1,Fi1,F1,E1,Di1,D1,  LEN+speed*2-8, OFF
	db      LEN+speed*2, OFF
	db      LEN+1, Fi1,F1,E1,Di1,D1,Ci1,C1,B0,  LEN+speed*2-8, OFF
	db      LEN+speed*2, OFF
	db      LEN+1, Di1,D1,Ci1,C1,B0,Ai0,A0,Gi0,G0,Fi0,F0,  LEN+speed*2-11, OFF
	db      LEN+1, Di1,D1,Ci1,C1,B0,Ai0,A0,Gi0,G0,Fi0,F0,  LEN+speed*2-11, OFF
	db      LEN+1, Ci1,B0,A0,G0,F0,E0,  LEN+speed*1-6, OFF
	db      LEN+1, Ci1,B0,A0,G0,F0,E0,  LEN+speed*1-6, OFF
	db END_MARK

pat_tr4_chorus_main
	db VT_1x
	db SET_ARP, $44, LEN+speed*8, G2
	db SET_ARP, $33, LEN+speed*2, E2,Fi2
	db SET_ARP, $44,              G2
	db SET_ARP, $33, LEN+speed*10,Fi2
	db               LEN+speed*4, E2
	db SET_ARP, $44, LEN+speed*2, D2
	db END_MARK

pat_tr4_chorus_a
	db SET_ARP, $47, LEN+speed*8, C2
	db               LEN+speed*10,C2
	;
	db SET_ARP, $33, LEN+speed*4, B2,A2
	db SET_ARP, $44,              G2
	db SET_ARP, $33, LEN+speed*2, Fi2
	db SET_ARP, $44,              G2
	db END_MARK

pat_tr4_chorus_b
	db SET_ARP, $59, LEN+speed*8, G1
	db               LEN+speed*10,G1
	;
	db               LEN+speed*4, G1
	db SET_ARP, $33, LEN+speed*1, A1,B1
	db SET_ARP, $44,              C2,D2
	db SET_ARP, $33, LEN+speed*2-4, E2, LEN+4, OFF
	db               LEN+speed*2-4, E2, LEN+4, OFF
	db               LEN+speed*2, Fi2
	db SET_ARP, $44,              G2
	db END_MARK

pat_tr4_chorus_c
	db SET_ARP, $47, LEN+speed*8, C2
	db               LEN+speed*10,C2
	;
	db               LEN+speed*8, C2
	db SET_ARP, $33, LEN+speed*2, B2,A2,OFF
	db SET_ARP, $44,              G2
	db END_MARK

pat_tr4_chorus_d1
	db SET_ARP, $59, LEN+speed*8, G1
	db               LEN+speed*10,G1
	;
	db               LEN+speed*4, G1
	db END_MARK

pat_tr4_chorus_hi_main
	db VT_1x
	db SET_ARP, $59, LEN+speed*8, D3
	db SET_ARP, $33, LEN+speed*2, E3,Fi3
	db SET_ARP, $44,              G3
	db SET_ARP, $47, LEN+speed*10,D3
	db SET_ARP, $33, LEN+speed*4, E3
	db SET_ARP, $44, LEN+speed*2, D3
	db END_MARK

pat_tr4_chorus_hi_a
	db SET_ARP, $47, LEN+speed*8, C3
	db               LEN+speed*10,C3
	;
	db SET_ARP, $33, LEN+speed*4, B3,A3
	db SET_ARP, $44,              G3
	db SET_ARP, $33, LEN+speed*2, Fi3
	db SET_ARP, $44,              G3
	db END_MARK

pat_tr4_chorus_hi_b
	db SET_ARP, $59, LEN+speed*8, G2
	db               LEN+speed*10,G2
	;
	db               LEN+speed*4, G2
	db SET_ARP, $33, LEN+speed*1, A2,B2
	db SET_ARP, $44,              C3,D3
	db SET_ARP, $33, LEN+speed*2-4, E3, LEN+4, OFF
	db               LEN+speed*2-4, E3, LEN+4, OFF
	db               LEN+speed*2, Fi3
	db SET_ARP, $44,              G3
	db END_MARK

pat_tr4_chorus_hi_c
	db SET_ARP, $47, LEN+speed*8, C3
	db               LEN+speed*10,C3
	;
	db               LEN+speed*8, C3
	db SET_ARP, $33, LEN+speed*2, B3,A3,OFF
	db SET_ARP, $44,              G3
	db END_MARK

pat_tr4_chorus_hi_d1
	db SET_ARP, $59, LEN+speed*8, G2
	db               LEN+speed*10,G2
	;
	db               LEN+speed*4, G2
	db END_MARK
;[eof]